+++
fragment = "content"
date = "2017-01-23"
weight = 100

title = "15.12 TestReports 20151015"
+++

Testing results considerations:

1.  All manual test cases were executed on Target i386 and SDK i386
    image, and were executed as needed by the development team on the
    Target ARM image.
2.  All automated test cases already integrated into LAVA system were
    executed on images: Target ARM, Target AMD64, Development AMD64,
    Target i386, Development i386 and SDK i386.
3.  Test cases marked as 'under development' were skipped during this
    testing round.
4.  Failures and partial failures were noted in the Release notes
    document for further analyse.

-----

The platform image used for these tests are :

  - [Target AMD64
    (2015-10-15)](https://images.apertis.org/daily/15.12/20151015.0/apertis-15.12-amd64-target-amd64-uefi_20151015.0-collabora15.00.41.btrfs.img.gz)
  - [Development AMD64
    (2015-10-15)](https://images.apertis.org/daily/15.12/20151015.0/apertis-15.12-amd64-development-amd64-uefi_20151015.0-collabora15.00.41.btrfs.img.gz)
  - [Target i386
    (2015-10-15)](https://images.apertis.org/daily/15.12/20151015.0/apertis-15.12-i386-target-i386_20151015.0-collabora15.00.41.btrfs.img.gz)
  - [Development i386
    (2015-10-15)](https://images.apertis.org/daily/15.12/20151015.0/apertis-15.12-i386-development-i386_20151015.0-collabora15.00.41.btrfs.img.gz)
  - [SDK i386
    (2015-10-15)](https://images.apertis.org/daily/15.12/20151015.0/apertis-15.12-i386-sdk-i386_20151015.0-collabora15.00.41.btrfs.vdi.gz)

<table>
<thead>
<tr class="header">
<th><p>ID</p></th>
<th><p>Description</p></th>
<th><p>Type</p></th>
<th><p>Target ARM</p></th>
<th><p>Target AMD64</p></th>
<th><p>Development AMD64</p></th>
<th><p>Target x86</p></th>
<th><p>Devel x86</p></th>
<th><p>SDK x86</p></th>
<th><p>Tested By</p></th>
<th><p>Notes</p></th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td><p><strong>Booting</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/image-bootable">image-bootable</a></p></td>
<td><p>Test whether the image is bootable.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Piyush Parthiban Boopathi</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/image-x-start">image-x-start</a></p></td>
<td><p>Test whether the image starts a graphical environment.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Piyush Parthiban Boopathi</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><strong>HW Acceleration</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/x-hw-accelerated">x-hw-accelerated</a></p></td>
<td><p>Test whether the correct GLES2 render is used.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Piyush Parthiban Boopathi</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><strong>GStreamer</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/clutter-playback-gstreamer1.0">clutter-playback-gstreamer1.0</a></p></td>
<td><p>Test video and audio playback using clutter-gst and GStreamer1.0.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PARTIAL</p></td>
<td><p>N/A</p></td>
<td><p>PARTIAL</p></td>
<td><p>Piyush Parthiban Boopathi</p></td>
<td><p><a href="/bbz:498">bug 498</a> <a href="/bbz:550">bug 550</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/gstreamer1.0-decode">gstreamer1.0-decode</a></p></td>
<td><p>Test video and audio decoders and demuxers on a list of media.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81566">1</a> <a href="https://lava.collabora.co.uk/scheduler/job/81546">2</a> <a href="https://lava.collabora.co.uk/scheduler/job/82004">3</a> <a href="https://lava.collabora.co.uk/scheduler/job/81571">4</a></p></td>
</tr>
<tr class="odd">
<td><p><strong>Multitouch</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/clutter-actors-bigger-reactive-area">clutter-actors-bigger-reactive-area</a></p></td>
<td><p>Test that Clutter allows an actor's pick area to be larger than its paint area.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Piyush Parthiban Boopathi</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/clutter-mt-rotate">clutter-mt-rotate</a></p></td>
<td><p>Test that clutter properly performs rotation gestures.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Piyush Boopathi</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/clutter-mt-touch-events">clutter-mt-touch-events</a></p></td>
<td><p>Test multi-touch support in Clutter.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Piyush Boopathi</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/clutter-mt-zoom">clutter-mt-zoom</a></p></td>
<td><p>Test that clutter properly performs zoom gestures.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Piyush Boopathi</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/clutter-transparent-stage">clutter-transparent-stage</a></p></td>
<td><p>Test that clutter transparent stages are correctly handled by the graphics stack.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Piyush Boopathi</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/webkit-mt-touch-events">webkit-mt-touch-events</a></p></td>
<td><p>Test implementation of W3C touch events API in webkit-clutters.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Piyush Boopathi</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/xephyr-mt-touch-events">xephyr-mt-touch-events</a></p></td>
<td><p>Test that X clients within Xephyr receive touch events forwarded from the host X display.<br />
This test is used for both touchscreen *and* support for the Magic Trackpad. So please, do test for both cases below:</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Parthiban</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><strong>WebKit</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/webkit-actor-tiles">webkit-actor-tiles</a></p></td>
<td><p>Test implementation of actor-based tiled backing store in webkit-clutter.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Piyush Parthiban Boopathi</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/webkit-event-handling-redesign">webkit-event-handling-redesign</a></p></td>
<td><p>Test WebKit-Clutter ability to scroll by touch with inertial behaviour after the touch ended.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Piyush Parthiban Boopathi</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/webkit-layout-tests">webkit-layout-tests</a></p></td>
<td><p>Layout tests are used to check the correctness of the renderer. It involves loading pages in a test renderer (DumpRenderTree) and comparing the rendered output tree against an expected output file.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>FAILED</p></td>
<td><p>PARTIAL</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81552">5</a> <a href="https://lava.collabora.co.uk/scheduler/job/81567">6</a> <a href="https://lava.collabora.co.uk/scheduler/job/81547">7</a> <a href="https://lava.collabora.co.uk/scheduler/job/81562">8</a> <a href="https://lava.collabora.co.uk/scheduler/job/82002">9</a> (<a href="/bbz:200">bug 200</a>)</p></td>
</tr>
<tr class="odd">
<td><p><strong>Webkit-AC</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/webkit-ac-3d-rendering">webkit-ac-3d-rendering</a></p></td>
<td><p>Test that 3D transforms are applied correctly.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Piyush Parthiban Boopathi</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/webkit-ac-animations">webkit-ac-animations</a></p></td>
<td><p>Test that Clutter actors created for representing layers animate properly.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Piyush Parthiban Boopathi</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/webkit-ac-scrolling">webkit-ac-scrolling</a></p></td>
<td><p>Test that actors created for representing layers scroll properly.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Piyush Parthiban Boopathi</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><strong>Gettext</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/clutter-i18-gettext">clutter-i18n-gettext</a></p></td>
<td><p>Check that internationalization (translation) of Clutter applications using gettext works.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Piyush Parthiban Boopathi</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/gettext-i18n">gettext-i18n</a></p></td>
<td><p>Check that gettext internationalization works.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81551">10</a> <a href="https://lava.collabora.co.uk/scheduler/job/81566">11</a> <a href="https://lava.collabora.co.uk/scheduler/job/81546">12</a> <a href="https://lava.collabora.co.uk/scheduler/job/82004">13</a> <a href="https://lava.collabora.co.uk/scheduler/job/81571">14</a></p></td>
</tr>
<tr class="even">
<td><p><strong>Meta Data Management</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/gupnp-services">gupnp-services</a></p></td>
<td><p>Run a few tests related to service browsing, introspection, etc.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81551">15</a> <a href="https://lava.collabora.co.uk/scheduler/job/81566">16</a> <a href="https://lava.collabora.co.uk/scheduler/job/81546">17</a> <a href="https://lava.collabora.co.uk/scheduler/job/82004">18</a> <a href="https://lava.collabora.co.uk/scheduler/job/81571">19</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/librest-unit">librest-unit</a></p></td>
<td><p>Run the unit tests that ship with the library against the running system.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81551">20</a> <a href="https://lava.collabora.co.uk/scheduler/job/81566">21</a> <a href="https://lava.collabora.co.uk/scheduler/job/81546">22</a> <a href="https://lava.collabora.co.uk/scheduler/job/82004">23</a> <a href="https://lava.collabora.co.uk/scheduler/job/81571">24</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/libsoup-unit">libsoup-unit</a></p></td>
<td><p>Run the unit tests that ship with the library against the running system.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81551">25</a> <a href="https://lava.collabora.co.uk/scheduler/job/81566">26</a> <a href="https://lava.collabora.co.uk/scheduler/job/81546">27</a> <a href="https://lava.collabora.co.uk/scheduler/job/82004">28</a> <a href="https://lava.collabora.co.uk/scheduler/job/81571">29</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/tracker-indexing-local-storage">tracker-indexing-local-storage</a></p></td>
<td><p>Check tracker indexing of local storage and journal behaviour.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81551">30</a> <a href="https://lava.collabora.co.uk/scheduler/job/81566">31</a> <a href="https://lava.collabora.co.uk/scheduler/job/81546">32</a> <a href="https://lava.collabora.co.uk/scheduler/job/82004">33</a> <a href="https://lava.collabora.co.uk/scheduler/job/81571">34</a> (<a href="/bbz:542">bug 542</a>)</p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/tracker-indexing-mass-storage">tracker-indexing-mass-storage</a></p></td>
<td><p>Check tracker indexes mass storage devices on insertion.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>Piyush Parthiban Boopathi</p></td>
<td><p><a href="/bbz:542">bug 542</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/tumbler-thumbnailing">tumbler-thumbnailing</a></p></td>
<td><p>Check that all thumbnailing features of tumbler are working properly (large, small, videos, documents, images).</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81551">35</a> <a href="https://lava.collabora.co.uk/scheduler/job/81566">36</a> <a href="https://lava.collabora.co.uk/scheduler/job/81546">37</a> <a href="https://lava.collabora.co.uk/scheduler/job/82004">38</a> <a href="https://lava.collabora.co.uk/scheduler/job/81571">39</a></p></td>
</tr>
<tr class="odd">
<td><p><strong>Grilo</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/grilo">grilo</a></p></td>
<td><p>Check grilo metadata notifications, and filesystem browsing.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81551">40</a> <a href="https://lava.collabora.co.uk/scheduler/job/81566">41</a> <a href="https://lava.collabora.co.uk/scheduler/job/81546">42</a> <a href="https://lava.collabora.co.uk/scheduler/job/82004">43</a> <a href="https://lava.collabora.co.uk/scheduler/job/81571">44</a></p></td>
</tr>
<tr class="odd">
<td><p><strong>DBus</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/dbus-dos-reply-time">dbus-dos-reply-time</a></p></td>
<td><p>Check the reply time of a few D-Bus method calls while dbus-daemon is loaded by D-Bus traffic.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81551">45</a> <a href="https://lava.collabora.co.uk/scheduler/job/81566">46</a> <a href="https://lava.collabora.co.uk/scheduler/job/81546">47</a> <a href="https://lava.collabora.co.uk/scheduler/job/82004">48</a> <a href="https://lava.collabora.co.uk/scheduler/job/81571">49</a></p></td>
</tr>
<tr class="odd">
<td><p><strong>Networking</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/bluez-avrcp-volume">bluez-avrcp-volume</a></p></td>
<td><p>Test the AVRCP volume up and down commands.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Piyush Boopathi</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/bluez-phone">bluez-phone</a></p></td>
<td><p>Test all BlueZ features needing interaction with a phone (Pairing, OBEX, PBAP, AVRCP, A2DP, HSP, HFP, PAN).</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PARTIAL</p></td>
<td><p>N/A</p></td>
<td><p>PARTIAL</p></td>
<td><p>Piyush Parthiban Boopathi</p></td>
<td><p><a href="/bbz:499">bug 499</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/bluez-setup">bluez-setup</a></p></td>
<td><p>Test setup of Bluetooth stack by running basic tests using hciconfig. Check if the interface can be brought up/down, can be changed of mode and can discover devices.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Piyush Parthiban Boopathi</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/connman">connman</a></p></td>
<td><p>Runs some automated tests using the ConnMan D-Bus API. It guarantees most of the basic features are working.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81551">50</a> <a href="https://lava.collabora.co.uk/scheduler/job/81566">51</a> <a href="https://lava.collabora.co.uk/scheduler/job/81546">52</a> <a href="https://lava.collabora.co.uk/scheduler/job/82004">53</a> <a href="https://lava.collabora.co.uk/scheduler/job/81571">54</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/connman-new-supplicant">connman-new-supplicant</a></p></td>
<td><p>Test the wpa_supplicant interface.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81551">55</a> <a href="https://lava.collabora.co.uk/scheduler/job/81566">56</a> <a href="https://lava.collabora.co.uk/scheduler/job/81546">57</a> <a href="https://lava.collabora.co.uk/scheduler/job/82004">58</a> <a href="https://lava.collabora.co.uk/scheduler/job/81571">59</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/connman-pan-tethering">connman-pan-tethering</a></p></td>
<td><p>Test ConnMan support for PAN connectivity.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Piyush Parthiban Boopathi</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/connman-services">connman-services</a></p></td>
<td><p>Tests ConnMan services.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Piyush Parthiban Boopathi</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/connman-usb-tethering">connman-usb-tethering</a></p></td>
<td><p>Test ConnMan support for USB tethering (connection side).</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Piyush Boopathi</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/ofono-sms-receive">ofono-sms-receive</a></p></td>
<td><p>Test receiving SMS messages with oFono.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Piyush Parthiban</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/ofono-sms-send">ofono-sms-send</a></p></td>
<td><p>Test sending of SMS with oFono.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Piyush Parthiban</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><strong>Folks</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/folks-alias-persistence">folks-alias-persistence</a></p></td>
<td><p>Ensures user-set contact aliases persist.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81553">60</a> <a href="https://lava.collabora.co.uk/scheduler/job/81568">61</a> <a href="https://lava.collabora.co.uk/scheduler/job/81548">62</a> <a href="https://lava.collabora.co.uk/scheduler/job/81563">63</a> <a href="https://lava.collabora.co.uk/scheduler/job/82003">64</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/folks-eds-compatibility">folks-eds-compatibility</a></p></td>
<td><p>Checks that contacts created within Evolution Data Server (as will happen when phone contacts get synchronized to an Apertis machine) show up in other contact-based programs.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81553">65</a> <a href="https://lava.collabora.co.uk/scheduler/job/81568">66</a> <a href="https://lava.collabora.co.uk/scheduler/job/81548">67</a> <a href="https://lava.collabora.co.uk/scheduler/job/81563">68</a> <a href="https://lava.collabora.co.uk/scheduler/job/82003">69</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/folks-metacontacts-linking">folks-metacontacts-linking</a></p></td>
<td><p>Ensures linking meta-contacts works properly.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81553">70</a> <a href="https://lava.collabora.co.uk/scheduler/job/81568">71</a> <a href="https://lava.collabora.co.uk/scheduler/job/81548">72</a> <a href="https://lava.collabora.co.uk/scheduler/job/81563">73</a> <a href="https://lava.collabora.co.uk/scheduler/job/82003">74</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/folks-metacontacts-unlinking">folks-metacontacts-unlinking</a></p></td>
<td><p>Ensures unlinking meta-contacts works properly.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81553">75</a> <a href="https://lava.collabora.co.uk/scheduler/job/81568">76</a> <a href="https://lava.collabora.co.uk/scheduler/job/81548">77</a> <a href="https://lava.collabora.co.uk/scheduler/job/81563">78</a> <a href="https://lava.collabora.co.uk/scheduler/job/82003">79</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/folks-telepathy-retrieve-contacts">folks-telepathy-retrieve-contacts</a></p></td>
<td><p>Ensures that Folks can correctly retrieve Telepathy contacts.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81553">80</a> <a href="https://lava.collabora.co.uk/scheduler/job/81568">81</a> <a href="https://lava.collabora.co.uk/scheduler/job/81548">82</a> <a href="https://lava.collabora.co.uk/scheduler/job/81563">83</a> <a href="https://lava.collabora.co.uk/scheduler/job/82003">84</a></p></td>
</tr>
<tr class="even">
<td><p><strong>Telepathy</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/telepathy-gabble-unit">telepathy-gabble-unit</a></p></td>
<td><p>Run telepathy-gabble test suite.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81551">85</a> <a href="https://lava.collabora.co.uk/scheduler/job/81566">86</a> <a href="https://lava.collabora.co.uk/scheduler/job/81546">87</a> <a href="https://lava.collabora.co.uk/scheduler/job/82004">88</a> <a href="https://lava.collabora.co.uk/scheduler/job/81571">89</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/telepathy-rakia">telepathy-rakia</a></p></td>
<td><p>Test Telepathy rakia integration</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Piyush Parthiban Boopathi</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><strong>SDK Development</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/sdk-ide-build-run-program">sdk-ide-build-run-program</a></p></td>
<td><p>Creates a simple test project and confirms that compiling and executing work.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Parthiban</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/sdk-nested-wm">sdk-nested-wm</a></p></td>
<td><p>Tests that Devilspie scripts can be applied to windows running within Mutter.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Parthiban</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><strong>Apparmor Basic</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-basic-profiles">apparmor-basic-profiles</a></p></td>
<td><p>Test basic apparmor profiles. Only parsing and syntax of profiles are tested for now.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81550">90</a> <a href="https://lava.collabora.co.uk/scheduler/job/81565">91</a> <a href="https://lava.collabora.co.uk/scheduler/job/81545">92</a> <a href="https://lava.collabora.co.uk/scheduler/job/81560">93</a> <a href="https://lava.collabora.co.uk/scheduler/job/82001">94</a></p></td>
</tr>
<tr class="even">
<td><p><strong>CGroups</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/cgroups-resource-control">cgroups-resource-control</a></p></td>
<td><p>Run cgroup resource control tests</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81551">95</a> <a href="https://lava.collabora.co.uk/scheduler/job/81566">96</a> <a href="https://lava.collabora.co.uk/scheduler/job/81546">97</a> <a href="https://lava.collabora.co.uk/scheduler/job/82004">98</a> <a href="https://lava.collabora.co.uk/scheduler/job/81571">99</a></p></td>
</tr>
<tr class="even">
<td><p><strong>SDK</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/sdk-performance-tools-gprof-smoke-test">sdk-performance-tools-gprof-smoke-test</a></p></td>
<td><p>Checks basic gprof functionality by ensuring a CPU-intensive program shows up in its log as consuming the vast majority of the CPU cycles.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81574">100</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/sdk-performance-tools-sysprof-smoke-test">sdk-performance-tools-sysprof-smoke-test</a></p></td>
<td><p>Checks basic sysprof functionality by ensuring a CPU-intensive program shows up in its log as consuming the vast majority of the CPU cycles.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81574">101</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/sdk-debug-tools-gdb-smoke-test">sdk-debug-tools-gdb-smoke-test</a></p></td>
<td><p>Checks basic gdb functionality by stopping a program at a set point and checking its backtrace matches expectations.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81574">102</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/sdk-debug-tools-strace-smoke-test">sdk-debug-tools-strace-smoke-test</a></p></td>
<td><p>Checks basic strace functionality by checking its output when run on a simple command line program.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81574">103</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/sdk-debug-tools-valgrind-smoke-test">sdk-debug-tools-valgrind-smoke-test</a></p></td>
<td><p>Checks basic valgrind functionality by running a program with and without memory leaks, ensuring expected results from valgrind.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81574">104</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/sdk-dbus-tools-bustle-smoke-test">sdk-dbus-tools-bustle-smoke-test</a></p></td>
<td><p>Test that bustle-dbus-monitor shows services on the session bus.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>Parthiban</p></td>
<td><p><a href="/bbz:552">bug 552</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/sdk-dbus-tools-d-feet-smoke-test">sdk-dbus-tools-d-feet-smoke-test</a></p></td>
<td><p>Test that D-Feet both shows services on the session bus and that new services appear automatically.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Parthiban</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/sdk-code-analysis-tools-gcov-smoke-test">sdk-code-analysis-tools-gcov-smoke-test</a></p></td>
<td><p>Checks basic gcov functionality by running a sample program a few different ways and ensuring that a sufficient portion of its code paths are executed</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81574">105</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/sdk-code-analysis-tools-splint-smoke-test">sdk-code-analysis-tools-splint-smoke-test</a></p></td>
<td><p>Checks basic splint functionality by checking its output when run on a simple source file.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81574">106</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/sdk-vb-fullscreen">sdk-vb-fullscreen</a></p></td>
<td><p>Tests that the SDK VM can be fullscreened in VirtualBox</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Parthiban</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><strong>Eclipse</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/eclipse-plugins">eclipse-sysroot-management</a></p></td>
<td><p>Test sysroot management and update within Eclipse. It will go through configuring an existing sysroot in Eclipse, and then updating it from the web with the latest version.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>Parthiban</p></td>
<td><p><a href="/bbz:427">bug 427</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/eclipse-plugins-install-to-target">eclipse-install-to-target</a></p></td>
<td><p>Test copying files to the remote device from within Eclipse. It will create a dummy project and then create a configuration to copy the binary file to a remote device and debug it remotely using Eclipse.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Parthiban</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/eclipse-plugins-remote-debugging">eclipse-remote-debugging</a></p></td>
<td><p>Test remote debugging within Eclipse. It will create a dummy project and then create a configuration to copy the binary file to a remote device and debug it remotely using Eclipse.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Parthiban</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><strong>Contacts</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/evolution-sync-bluetooth">evolution-sync-bluetooth</a></p></td>
<td><p>Synchronizing Bluetooth-paired phone contacts to Evolution.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PARTIAL</p></td>
<td><p>N/A</p></td>
<td><p>PARTIAL</p></td>
<td><p>Piyush Parthiban Boopathi</p></td>
<td><p><a href="/bbz:551">bug 551</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/folks-metacontacts-antilinking">folks-metacontacts-antilinking</a></p></td>
<td><p>Ensures anti-linking meta-contacts works properly.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81553">107</a> <a href="https://lava.collabora.co.uk/scheduler/job/81568">108</a> <a href="https://lava.collabora.co.uk/scheduler/job/81548">109</a> <a href="https://lava.collabora.co.uk/scheduler/job/81563">110</a> <a href="https://lava.collabora.co.uk/scheduler/job/82003">111</a></p></td>
</tr>
<tr class="even">
<td><p><strong>Clutter Multitouch</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/xoo-soft-keys-emulation">xoo-soft-keys-emulation</a></p></td>
<td><p>Test that 'xoo' allows one to pass-in Xephyr-nested key events from clicking UI buttons</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81574">112</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/clutter-performance">clutter-performance</a></p></td>
<td><p>Test performance of Clutter</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81552">113</a> <a href="https://lava.collabora.co.uk/scheduler/job/81567">114</a> <a href="https://lava.collabora.co.uk/scheduler/job/81547">115</a> <a href="https://lava.collabora.co.uk/scheduler/job/81562">116</a> <a href="https://lava.collabora.co.uk/scheduler/job/82002">117</a> (<a href="/bbz:390">bug 390</a>)</p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/x-out-of-screen-events-buttond">x-out-of-screen-events-buttond</a></p></td>
<td><p>Test that buttond generates correct keystrokes in response to simulated touch screen input</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81551">118</a> <a href="https://lava.collabora.co.uk/scheduler/job/81566">119</a> <a href="https://lava.collabora.co.uk/scheduler/job/81546">120</a> <a href="https://lava.collabora.co.uk/scheduler/job/82004">121</a> <a href="https://lava.collabora.co.uk/scheduler/job/81571">122</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/mxkineticscrollview-smooth-pan">mxkineticscrollview-smooth-pan</a></p></td>
<td><p>Some low-resolution touch screens send touch events in widely separate time intervals, which causes MxKineticScrollView widget to jump from one position to the next one without any visible transition. This test case implements a long list to scroll through to make sure there are no visible "jumps" when scrolling.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PARTIAL</p></td>
<td><p>N/A</p></td>
<td><p>PARTIAL</p></td>
<td><p>Piyush Parthiban Boopathi</p></td>
<td><p><a href="/bbz:543">bug 543</a></p></td>
</tr>
<tr class="odd">
<td><p><strong>Connectivity</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/bluez-hfp">bluez-hfp</a></p></td>
<td><p>Test Hands Free Profile (HFP) BlueZ feature.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Piyush</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/rfkill-toggle">rfkill-toggle</a></p></td>
<td><p>Test that rfkill is functional.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Piyush Boopathi</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/telepathy-ring">telepathy-ring</a></p></td>
<td><p>Support making and receiving phone calls in Telepathy manually, with a bluetooth-paired phone.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PARTIAL</p></td>
<td><p>N/A</p></td>
<td><p>PARTIAL</p></td>
<td><p>Piyush Parthiban Boopathi</p></td>
<td><p><a href="/bbz:156">bug 156</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/telepathy-ring-automated">telepathy-ring-automated</a></p></td>
<td><p>Support making and receiving phone calls in Telepathy.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81574">123</a></p></td>
</tr>
<tr class="even">
<td><p><strong>Contacts</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/folks-ofono-backend">folks-ofono-backend</a></p></td>
<td><p>Reading contacts from 3G modem SIM card.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>Piyush Parthiban</p></td>
<td><p><a href="/bbz:551">bug 551</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/folks-search-contacts">folks-search-contacts</a></p></td>
<td><p>Ensures that Folks can correctly search contacts.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81553">124</a> <a href="https://lava.collabora.co.uk/scheduler/job/81568">125</a> <a href="https://lava.collabora.co.uk/scheduler/job/81548">126</a> <a href="https://lava.collabora.co.uk/scheduler/job/81563">127</a> <a href="https://lava.collabora.co.uk/scheduler/job/82003">128</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/abstract-contact-addressbook-creation">abstract-contact-addressbook-creation</a></p></td>
<td><p>A way to be able to create abstract addressbook is needed in SyncEvolution, so that separate addressbooks can be created for each paired device.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81553">129</a> <a href="https://lava.collabora.co.uk/scheduler/job/81568">130</a> <a href="https://lava.collabora.co.uk/scheduler/job/81548">131</a> <a href="https://lava.collabora.co.uk/scheduler/job/81563">132</a> <a href="https://lava.collabora.co.uk/scheduler/job/82003">133</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/folks-sync-only">folks-sync-only</a></p></td>
<td><p>Test SYNCHRONIZE_ONLY flag for persona stores in Folks.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PARTIAL</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81574">134</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/storage-of-arbitrary-data-in-contacts">storage-arbitrary-data-contacts</a></p></td>
<td><p>Support for storing arbitrary data in contacts in Folks.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81553">135</a> <a href="https://lava.collabora.co.uk/scheduler/job/81568">136</a> <a href="https://lava.collabora.co.uk/scheduler/job/81548">137</a> <a href="https://lava.collabora.co.uk/scheduler/job/81563">138</a> <a href="https://lava.collabora.co.uk/scheduler/job/82003">139</a></p></td>
</tr>
<tr class="even">
<td><p><strong>Meta Data Management</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/grilo-playlist-browsing">grilo-playlist-browsing</a></p></td>
<td><p>Test playlist browsing from grilo, that is basically Grilo can inspect playlist contents and show its entries as if they were Grilo Media objects.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81551">140</a> <a href="https://lava.collabora.co.uk/scheduler/job/81566">141</a> <a href="https://lava.collabora.co.uk/scheduler/job/81546">142</a> <a href="https://lava.collabora.co.uk/scheduler/job/82004">143</a> <a href="https://lava.collabora.co.uk/scheduler/job/81571">144</a></p></td>
</tr>
<tr class="even">
<td><p><strong>Multimedia</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/webkit-gstreamer1.0">webkit-gstreamer1.0</a></p></td>
<td><p>Tests html5 video playback with GStreamer 1.0 in WebKit-Clutter</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Piyush Parthiban Boopathi</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/clutter-buffering-2.0">clutter-buffering-2.0</a></p></td>
<td><p>Test clutter-gst stream buffering support against gstreamer 1.0.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Piyush Parthiban Boopathi</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/clutter-live-stream-2.0">clutter-live-media-2.0</a></p></td>
<td><p>Test clutter-gst live media improvements support against gstreamer 1.0.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Piyush Parthiban Boopathi</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/traffic-control-basic">traffic-control-basic</a></p></td>
<td><p>Test basic traffic control support. This test does not use tcmmd but it could catch missing support in the kernel or misbehaving traffic control.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Piyush Parthiban Boopathi</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/traffic-control-tcmmd">traffic-control-tcmmd</a></p></td>
<td><p>Test traffic control support with tcmmd and wget.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>N/A</p></td>
<td><p>PARTIAL</p></td>
<td><p>Piyush Parthiban Boopathi</p></td>
<td><p><a href="/bbz:327">bug 327</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/traffic-control-tcdemo">traffic-control-tcdemo</a></p></td>
<td><p>Test traffic control demo with tcmmd and tcdemo.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Piyush Boopathi</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/gstreamer-buffering">gstreamer-buffering</a></p></td>
<td><p>Test the download-buffering playback mode of clutter-gst-3.0.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PARTIAL</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Piyush Parthiban Boopathi</p></td>
<td><p><a href="/bbz:498">bug 498</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/gstreamer-splash">gstreamer-splash</a></p></td>
<td><p>Test whether the gstreamer splash plugin is working.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Boopathi</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/video-animation-on-boot">video-animation-on-boot</a></p></td>
<td><p>Test whether Plymouth is able to display a graphical theme.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Piyush Boopathi</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/gstreamer-viv-direct-texture">gstreamer-viv-direct-texture</a></p></td>
<td><p>Test the GStreamer integration of the Vivante direct texture extension, which enables fast video playback on i.MX6.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Boopathi</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><strong>Robustness</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/glib-gio-fs">glib-gio-fs</a></p></td>
<td><p>Run the GLib gio tests that do I/O on the local filesystem.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81551">145</a> <a href="https://lava.collabora.co.uk/scheduler/job/81566">146</a> <a href="https://lava.collabora.co.uk/scheduler/job/81546">147</a> <a href="https://lava.collabora.co.uk/scheduler/job/82004">148</a> <a href="https://lava.collabora.co.uk/scheduler/job/81571">149</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/sqlite-veryquick">sqlite-veryquick</a></p></td>
<td><p>Run the "veryquick" tests shipped with SQLite.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81554">150</a> <a href="https://lava.collabora.co.uk/scheduler/job/81569">151</a> <a href="https://lava.collabora.co.uk/scheduler/job/81549">152</a> <a href="https://lava.collabora.co.uk/scheduler/job/81564">153</a> <a href="https://lava.collabora.co.uk/scheduler/job/81575">154</a></p></td>
</tr>
<tr class="even">
<td><p><strong>Security</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor">apparmor</a></p></td>
<td><p>Functional testing for AppArmor functionalities.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81550">155</a> <a href="https://lava.collabora.co.uk/scheduler/job/81565">156</a> <a href="https://lava.collabora.co.uk/scheduler/job/81545">157</a> <a href="https://lava.collabora.co.uk/scheduler/job/81560">158</a> <a href="https://lava.collabora.co.uk/scheduler/job/82001">159</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-chaiwala-system">apparmor-chaiwala-system</a></p></td>
<td><p>Test that AppArmor's system wide rules works according to Apertis security goals.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81550">160</a> <a href="https://lava.collabora.co.uk/scheduler/job/81565">161</a> <a href="https://lava.collabora.co.uk/scheduler/job/81545">162</a> <a href="https://lava.collabora.co.uk/scheduler/job/81560">163</a> <a href="https://lava.collabora.co.uk/scheduler/job/82001">164</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-functional-demo">apparmor-functional-demo</a></p></td>
<td><p>Show some main AppArmor functionalities, like transitions, net access or resource permissions, under the form of tests.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81550">165</a> <a href="https://lava.collabora.co.uk/scheduler/job/81565">166</a> <a href="https://lava.collabora.co.uk/scheduler/job/81545">167</a> <a href="https://lava.collabora.co.uk/scheduler/job/81560">168</a> <a href="https://lava.collabora.co.uk/scheduler/job/82001">169</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-utils">apparmor-utils</a></p></td>
<td><p>Test apparmor_parser and other tools in apparmor package can be executed.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81550">170</a> <a href="https://lava.collabora.co.uk/scheduler/job/81565">171</a> <a href="https://lava.collabora.co.uk/scheduler/job/81545">172</a> <a href="https://lava.collabora.co.uk/scheduler/job/81560">173</a> <a href="https://lava.collabora.co.uk/scheduler/job/82001">174</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-session-lockdown-denies">apparmor-session-lockdown-denies</a></p></td>
<td><p>Test that the MxLauncher profile is indeed limited to what is allows.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Piyush Boopathi</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-session-lockdown-launcher-whitelist">apparmor-session-lockdown-launcher-whitelist</a></p></td>
<td><p>Make sure our demo/test launcher is applying the white-list approach properly.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Piyush Boopathi</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-session-lockdown-no-deny">apparmor-session-lockdown-no-deny</a></p></td>
<td><p>Test that the session lockdown profile is not blocking more than it should</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Piyush Boopathi</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-gstreamer1.0">apparmor-gstreamer1.0</a></p></td>
<td><p>Test that AppArmor profiles provided in GStreamer 1.0 works without Auditd complaining</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81550">175</a> <a href="https://lava.collabora.co.uk/scheduler/job/81565">176</a> <a href="https://lava.collabora.co.uk/scheduler/job/81545">177</a> <a href="https://lava.collabora.co.uk/scheduler/job/81560">178</a> <a href="https://lava.collabora.co.uk/scheduler/job/82001">179</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-pulseaudio">apparmor-pulseaudio</a></p></td>
<td><p>Test that AppArmor profiles provided in PulseAudio 2.1 work without Auditd complaining.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81550">180</a> <a href="https://lava.collabora.co.uk/scheduler/job/81565">181</a> <a href="https://lava.collabora.co.uk/scheduler/job/81545">182</a> <a href="https://lava.collabora.co.uk/scheduler/job/81560">183</a> <a href="https://lava.collabora.co.uk/scheduler/job/82001">184</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-webkit-clutter">apparmor-webkit-clutter</a></p></td>
<td><p>Tests that the webkit-clutter abstraction doesn't cause false negatives and that it does not allow arbitrary reading of files in the home directory.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PASSED</p></td>
<td><p>PARTIAL</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81550">185</a> <a href="https://lava.collabora.co.uk/scheduler/job/81565">186</a> <a href="https://lava.collabora.co.uk/scheduler/job/81545">187</a> <a href="https://lava.collabora.co.uk/scheduler/job/81560">188</a> <a href="https://lava.collabora.co.uk/scheduler/job/82001">189</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-bluez-automated">apparmor-bluez-automated</a></p></td>
<td><p>Test AppArmor profile for support for SPP profile (bluez-spp) and core functionalities (bluez-core).</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Piyush</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-bluez-avrcp-volume">apparmor-bluez-avrcp-volume</a></p></td>
<td><p>Test AppArmor profile for Bluez AVRCP volume up and down commands.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Piyush Boopathi</p></td>
<td><p><a href="/bbz:512">bug 512</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-bluez-setup">apparmor-bluez-setup</a></p></td>
<td><p>Test AppArmor profiles for setting up of Bluetooth stack by running basic tests using hciconfig. Check if the interface can be brought up/down, can be changed of mode and can discover devices.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Piyush</p></td>
<td><p><a href="/bbz:511">bug 511</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-folks">apparmor-folks</a></p></td>
<td><p>Test that AppArmor profiles provided in Folks package work without unexpected auditd log entries.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81550">190</a> <a href="https://lava.collabora.co.uk/scheduler/job/81565">191</a> <a href="https://lava.collabora.co.uk/scheduler/job/81545">192</a> <a href="https://lava.collabora.co.uk/scheduler/job/81560">193</a> <a href="https://lava.collabora.co.uk/scheduler/job/82001">194</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-geoclue">apparmor-geoclue</a></p></td>
<td><p>Test that geoclue apparmor profiles are working properly</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81550">195</a> <a href="https://lava.collabora.co.uk/scheduler/job/81565">196</a> <a href="https://lava.collabora.co.uk/scheduler/job/81545">197</a> <a href="https://lava.collabora.co.uk/scheduler/job/81560">198</a> <a href="https://lava.collabora.co.uk/scheduler/job/82001">199</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-libreoffice">apparmor-libreoffice</a></p></td>
<td><p>Tests that the libreoffice profile doesn't cause false negatives and that it does not allow arbitrary reading of files in the home directory.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81550">200</a> <a href="https://lava.collabora.co.uk/scheduler/job/81565">201</a> <a href="https://lava.collabora.co.uk/scheduler/job/81545">202</a> <a href="https://lava.collabora.co.uk/scheduler/job/81560">203</a> <a href="https://lava.collabora.co.uk/scheduler/job/82001">204</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-ofono">apparmor-ofono</a></p></td>
<td><p>Test that AppArmor profiles provided in ofono package work without unexpected auditd log entries.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Piyush</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-tracker">apparmor-tracker</a></p></td>
<td><p>Tests that the tracker abstraction and tracker profiles don't cause false negatives and that it does not allow arbitrary reading of files in the home directory.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81550">205</a> <a href="https://lava.collabora.co.uk/scheduler/job/81565">206</a> <a href="https://lava.collabora.co.uk/scheduler/job/81545">207</a> <a href="https://lava.collabora.co.uk/scheduler/job/81560">208</a> <a href="https://lava.collabora.co.uk/scheduler/job/82001">209</a> (<a href="/bbz:542">bug 542</a>)</p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-tumbler">apparmor-tumbler</a></p></td>
<td><p>Tests that the tumbler profile doesn't cause false negatives and that it does not allow arbitrary reading of files in the home directory.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PARTIAL</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81550">210</a> <a href="https://lava.collabora.co.uk/scheduler/job/81565">211</a> <a href="https://lava.collabora.co.uk/scheduler/job/81545">212</a> <a href="https://lava.collabora.co.uk/scheduler/job/81560">213</a> <a href="https://lava.collabora.co.uk/scheduler/job/82001">214</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/iptables-basic">iptables-basic</a></p></td>
<td><p>Test the firewall automatically.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81551">215</a> <a href="https://lava.collabora.co.uk/scheduler/job/81566">216</a> <a href="https://lava.collabora.co.uk/scheduler/job/81546">217</a> <a href="https://lava.collabora.co.uk/scheduler/job/82004">218</a> <a href="https://lava.collabora.co.uk/scheduler/job/81571">219</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/iptables-nmap">iptables-nmap</a></p></td>
<td><p>Test the firewall using nmap from another computer.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Piyush Parthiban Boopathi</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-dbus">apparmor-dbus</a></p></td>
<td><p>Functional testing for AppArmor D-Bus mediation.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81550">220</a> <a href="https://lava.collabora.co.uk/scheduler/job/81565">221</a> <a href="https://lava.collabora.co.uk/scheduler/job/81545">222</a> <a href="https://lava.collabora.co.uk/scheduler/job/81560">223</a> <a href="https://lava.collabora.co.uk/scheduler/job/82001">224</a></p></td>
</tr>
<tr class="odd">
<td><p><strong>System Update</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/updater">updater-update-platform</a></p></td>
<td><p>Test that chaiwala-updater is capable of performing a full platform update.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Boopathi</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/btrfs-snapshot-management">btrfs-snapshot-management</a></p></td>
<td><p>Test subvolume management using Btrfs for system upgrades.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81551">225</a> <a href="https://lava.collabora.co.uk/scheduler/job/81566">226</a> <a href="https://lava.collabora.co.uk/scheduler/job/81546">227</a> <a href="https://lava.collabora.co.uk/scheduler/job/82004">228</a> <a href="https://lava.collabora.co.uk/scheduler/job/81571">229</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/factory-reset-tool">factory-reset-tool</a></p></td>
<td><p>Check if the system can be restored to a factory reset state.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Boopathi</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/last-resort-message">last-resort-message</a></p></td>
<td><p>Test whether U-Boot last resort image is displayed on boot failure</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Boopathi</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/limited-functionality-manual">limited-functionality-manual</a></p></td>
<td><p>Test whether the limited functionality mode can be triggered.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Boopathi</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/v4l-automated">v4l-automated</a></p></td>
<td><p>Test the v4l codepaths of chaiwala-v4l2fb.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PARTIAL</p></td>
<td><p>FAILED</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81551">230</a> <a href="https://lava.collabora.co.uk/scheduler/job/81566">231</a> <a href="https://lava.collabora.co.uk/scheduler/job/81546">232</a> <a href="https://lava.collabora.co.uk/scheduler/job/82004">233</a> <a href="https://lava.collabora.co.uk/scheduler/job/81571">234</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/boot-performance">boot-performance</a></p></td>
<td><p>Test boot performance.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Boopathi</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/boot-performance-automated">boot-performance-automated</a></p></td>
<td><p>Test boot performance.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81551">235</a> <a href="https://lava.collabora.co.uk/scheduler/job/81566">236</a> <a href="https://lava.collabora.co.uk/scheduler/job/81546">237</a> <a href="https://lava.collabora.co.uk/scheduler/job/82004">238</a> <a href="https://lava.collabora.co.uk/scheduler/job/81571">239</a></p></td>
</tr>
<tr class="even">
<td><p><strong>Webkit</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/webkit-aligned-scroll">webkit-aligned-scroll</a></p></td>
<td><p>Test that scrolling is pinned in a given direction when started mostly towards it.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Piyush Boopathi</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/webkit-lazy-click">webkit-lazy-click</a></p></td>
<td><p>Test touch adjustment (lazy click) support in WebKit-Clutter</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Piyush Parthiban Boopathi</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/webkit-drag-and-drop">webkit-drag-and-drop</a></p></td>
<td><p>Test HTML5 drag-and-drop support in WebKit-Clutter</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Piyush Parthiban Boopathi</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/webkit-contextual-zoom">webkit-contextual-zoom</a></p></td>
<td><p>This test case is about zooming parts of a web page to make it easier to read on devices with limited screen area. The scope of the test is the zooming functionality that takes into account the content in the clicked area, other functionality that belongs to a real browser isn't to be tested here.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Piyush Parthiban Boopathi</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/webkit-clutter-javascriptcore">webkit-clutter-javascriptcore</a></p></td>
<td><p>JavaScriptCore tests are implementation of the Mozilla JavaScript Test Suite. This test suite covers the functionality of the core JavaScript engine. This includes several JavaScript objects such as Arrays, Booleans, Dates, Functions, Global Object, Math, Numbers, Objects, Regular Expressions and Strings. In addition the JavaScript tests cover parsing, lexical conventions, expressions, statements, type conversion, and exception handling.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/81552">240</a> <a href="https://lava.collabora.co.uk/scheduler/job/81567">241</a> <a href="https://lava.collabora.co.uk/scheduler/job/81547">242</a> <a href="https://lava.collabora.co.uk/scheduler/job/81562">243</a> <a href="https://lava.collabora.co.uk/scheduler/job/82002">244</a></p></td>
</tr>
<tr class="even">
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td></td>
<td><p>PASSED - All tests passed.</p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td></td>
<td><p>PARTIAL - Tests mostly passed, with some minor problems.</p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td></td>
<td><p>FAILED - One or more tests failed.</p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td></td>
<td><p>NOT TESTED - Test not run due to some issue, like WIP, Disabled, lacking proper hardware.</p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
</tbody>
</table>

[Category:QA/Test_report]( {{< ref "/category_qa/test_report.md" >}} )
[Category:QA/Test_report/{{\#rel2abs:
../../.}}]()