+++
fragment = "content"
date = "2019-11-21"
weight = 100

title = "Main Page"
+++

<div style="font-size:250%; font-weight:bold; border:none; color:#3a5a82; ">

Welcome to the Apertis project

</div>

Apertis is a versatile open source infrastructure tailored to the
automotive needs and fit for a wide variety of electronic devices.
Security and modularity are two of its primary strengths. Apertis
provides a feature-rich framework for add-on software and resilient
upgrade capabilities. Beyond an operating system, it offers new APIs,
tools and cloud services.

<table>
<tbody>
<tr class="odd">
<td><table>
<tbody>
<tr class="odd">
<td><h2 id="mp-tfa-h2" style="margin:3px; background:#3a5a82; font-family:inherit; font-size:120%; font-weight:bold; border:1px solid #a3b0bf; text-align:left; color:#ffffff; padding:0.2em 0.4em;">
<p>Production Friendly</p>
</h2></td>
</tr>
<tr class="even">
<td><div id="mp-tfa" style="padding:2px 5px">
<p>Apertis aims to accomplish the following goals:</p>
<ul>
<li>Ensure that all the software shipped in Apertis is open source or at least freely distributable, so that downstreams are entitled to use, modify and redistribute work derived from our deliverables.</li>
<li>Ensure that Apertis images targeting devices (such as target and minimal), are not subject to licensing constraints that may conflict with the regulatory requirements of some intended use cases.</li>
</ul>
<p>Apertis is primarily licensed under the Mozilla Public License Version 2.0, with images and documentation licensed under CC BY-SA 4.0.</p>
<p>For more information see <a href="https://designs.apertis.org/latest/license-expectations.html">Open source License expectations</a>.</p>
<p>Apertis undergoes regular <a href="https://qa.apertis.org/">automated and manual testing</a> on the reference platforms with <a href="https://lavaphabbridge.apertis.org">publicly available results</a>.</p>
<h2 id="further-links-1">Further Links</h2>
<ul>
<li><a href="https://designs.apertis.org/latest/license-expectations.html">Licensing</a></li>
<li><a href="https://qa.apertis.org/">Test cases</a></li>
<li><a href="https://lavaphabbridge.apertis.org">Test results</a></li>
</ul></td>
</tr>
</tbody>
</table></td>
<td></td>
<td><table>
<tbody>
<tr class="odd">
<td><h2 id="mp-itn-h2" style="margin:3px; background:#3a5a82; font-family:inherit; font-size:120%; font-weight:bold; border:1px solid #a3b0bf; text-align:left; color:#ffffff; padding:0.2em 0.4em;">
<p>Frequent Releases</p>
</h2></td>
</tr>
<tr class="even">
<td><div id="mp-itn">
<p>The overall goal is for Apertis to do a yearly product release. A product release is intended to both be based on the most recent mainline kernel LTS release and the current Debian stable release. Since Debian releases roughly once every two years, that means that there will typically be two Apertis product releases based on a single Debian stable release. With Linux doing an LTS release on a yearly basis, each Apertis product release will be based on a different (and then current) Linux kernel release.</p>
<p>The standard support period for each Apertis product release is 7 quarters. In other words from the initial release at the end of Q1 until the end of the next year.</p>
<p>For more information, see <a href="https://designs.apertis.org/latest/release-flow.html">Release flow and product lines</a>.</p>
<h2 id="further-links-3">Further Links</h2>
<ul>
<li><a href=" {{< ref "/releasenotes.md" >}} ">Releases</a>
<ul>
<li><a href=" {{< ref "/v2019.1/release_schedule.md" >}} ">Release schedule for V2019.1</a></li>
<li><a href=" {{< ref "/v2020pre/release_schedule.md" >}} ">Release schedule for V2020pre</a></li>
<li><a href=" {{< ref "/v2021dev0/release_schedule.md" >}} ">Release schedule for V2021dev0</a></li>
</ul></li>
<li><a href=" {{< ref "/roadmap.md" >}} ">Roadmap</a></li>
</ul></td>
</tr>
</tbody>
</table></td>
<td></td>
<td><table>
<tbody>
<tr class="odd">
<td><h2 id="mp-itn-h2" style="margin:3px; background:#3a5a82; font-family:inherit; font-size:120%; font-weight:bold; border:1px solid #a3b0bf; text-align:left; color:#ffffff; padding:0.2em 0.4em;">
<p>Developer Ready</p>
</h2></td>
</tr>
<tr class="even">
<td><div id="mp-itn">
<p>Apertis provides a number of pre-built images for Intel (64-bit) and ARM (32-bit and 64-bit) for evaluation on one of the Apertis <a href="https://wiki.apertis.org/Reference_Hardware">Reference Hardware</a> platforms. Additionally Apertis provides an SDK image to simplify development for the platform.</p>
<p><img src="/images/vm-sdk.png" alt="frameless|center|The Apertis SDK"></p>
<h2 id="further-links-5">Further Links</h2>
<ul>
<li><a href=" {{< ref "/apertis_code_of_conduct.md" >}} ">Code of conduct</a></li>
<li><a href=" {{< ref "/images.md" >}} ">Download the current images</a></li>
<li><a href="https://gitlab.apertis.org">Source code</a></li>
<li><a href="https://lists.apertis.org/">Mailing lists</a></li>
<li><a href=" {{< ref "/deployment_environment.md" >}} ">Set up your development environment</a></li>
<li><a href=" {{< ref "/guidelines.md" >}} ">Development guidelines</a></li>
<li><a href=" {{< ref "/conceptdesigns.md" >}} ">Concept designs</a></li>
<li><a href="https://developer.apertis.org/latest/apis.html">Supported APIs</a></li>
<li><a href="https://developer.apertis.org">App developer portal</a></li>
</ul></td>
</tr>
</tbody>
</table></td>
</tr>
</tbody>
</table>

 