+++
fragment = "content"
date = "2016-11-30"
weight = 100

title = "Deployment Environment"
+++

![300px|thumb|Apertis SDK image running in a
VM](/images/vm-sdk.png) You can try out Apertis in a virtual
machine or on real hardware.
[Release](https://images.apertis.org/release/) and [daily
build](https://images.apertis.org/daily/15.12/latest/) images are
available for testing. Apertis development is fasted paced, so we
recommend that you use the daily build images whenever possible.

## Apertis on virtual machines

<div style="clear: both;">

</div>

## Apertis on reference hardware

![300px|thumb|Base Minnowboard setup with a Lilliput
screen](/images/hardware-intel.jpg) The recommended Intel (64
bit) [reference hardware]( {{< ref "/reference_hardware.md" >}} ) is the
Minnowboard Max with [some optional
extras]( {{< ref "/reference_hardware.md" >}} ). Please see its [setup
guide]( {{< ref "/reference_hardware/minnowboard_setup.md" >}} ) for first-time
setup.

The recommended ARM (32 bit) hardware is the i.MX6 Sabrelite, also with
[some optional extras]( {{< ref "/reference_hardware.md" >}} ). Note that ARM
images are not publicly available.

## Working with target images

Target images deliberately don't have development/debugging tools
installed. To get a basic set (somewhere between the official target and
development images) you can log in on the serial console or use the
xterm, and run:

`sudo apertis-dev -b -g -3`

Add `--help` to see more options.

Please note that a machine where this has been done is not a "pure"
target image; if a bug was reported for target images, please confirm
the fix on a target image without these development tools.

### Using SSH

Accessing the device via SSH is generally more convenient than using a
serial console or xterm. To do so, add the following to your
`~/.ssh/config` file

`Match host apertis*`
`    User user`
`    IdentityFile ~/.ssh/apertis.ssh`
`    IdentitiesOnly yes`
`    StrictHostKeyChecking no`
`    UserKnownHostsFile /dev/null`

Generate a new key which you will use for connecting to all Apertis
target images:

`ssh-keygen -t rsa -N "" -f ~/.ssh/apertis.ssh`

Then, for each new target image installation you have, set up the key,
replacing *$hostname* with the board’s hostname:

`ssh-copy-id -i ~/.ssh/apertis.ssh.pub user@$hostname`

You should then be able to SSH in using:

`ssh $hostname`

[Category:Arm image]( {{< ref "/category_arm_image.md" >}} )