+++
fragment = "content"
date = "2015-09-08"
weight = 100

title = "Docs dbus-dos"
+++

This feature is about making D-Bus more resistant to denial of service
attacks.

# Identified security issues

| CVE                                                                        | Bug                                                                          | Title                                                             | Status upstream                                                                            | Status in Apertis                       |
| -------------------------------------------------------------------------- | ---------------------------------------------------------------------------- | ----------------------------------------------------------------- | ------------------------------------------------------------------------------------------ | --------------------------------------- |
| [CVE-2014-3477](https://security-tracker.debian.org/tracker/CVE-2014-3477) | [bfo\#78979](https://bugs.freedesktop.org/show_bug.cgi?id=78979)             | security and activation: error and denial of service              | Public, fixed in 1.8.4                                                                     | Fixed                                   |
| [CVE-2014-3532](https://security-tracker.debian.org/tracker/CVE-2014-3532) | [bfo\#80163](https://bugs.freedesktop.org/show_bug.cgi?id=80163)             | kick any connection off the bus with fdpassing: denial of service | Public, fixed in 1.8.6                                                                     | Fixed                                   |
| [CVE-2014-3533](https://security-tracker.debian.org/tracker/CVE-2014-3533) | [bfo\#80469](https://bugs.freedesktop.org/show_bug.cgi?id=80469)             | Misbehaviour reading a message with passing file descriptors      | Public, fixed in 1.8.6                                                                     | Fixed                                   |
| [CVE-2014-3639](https://security-tracker.debian.org/tracker/CVE-2014-3639) | [bfo\#80919](https://bugs.freedesktop.org/show_bug.cgi?id=80919)             | max_incomplete_connections                                      | Public, fixed in 1.8.8                                                                     | Fixed                                   |
| [CVE-2014-3638](https://security-tracker.debian.org/tracker/CVE-2014-3638) | [bfo\#81053](https://bugs.freedesktop.org/show_bug.cgi?id=81053)             | pending replies                                                   | Public, fixed in 1.8.8                                                                     | Fixed                                   |
| [CVE-2014-3637](https://security-tracker.debian.org/tracker/CVE-2014-3637) | [bfo\#80559](https://bugs.freedesktop.org/show_bug.cgi?id=80559)             | Immortal D-Bus connection in dbus-daemon                          | Public, fixed in 1.8.8                                                                     | Fixed                                   |
| [CVE-2014-3636](https://security-tracker.debian.org/tracker/CVE-2014-3636) | [bfo\#82820](https://bugs.freedesktop.org/show_bug.cgi?id=82820)             | limit the number of file descriptors in dbus-daemon               | Public, fixed in 1.8.8                                                                     | Fixed                                   |
| [CVE-2014-3635](https://security-tracker.debian.org/tracker/CVE-2014-3635) | [bfo\#83622](https://bugs.freedesktop.org/show_bug.cgi?id=83622)             | potential DoS in unusual fd-passing limit configurations          | Public, fixed in 1.8.8                                                                     | Fixed                                   |
| No need                                                                    | [bfo\#80557](https://bugs.freedesktop.org/show_bug.cgi?id=80557)             | telepathy-gabble / dbus-glib assertion in g_value_unset         | Public, fixed in git for dbus-glib 0.104                                                   | Fixed                                   |
| No need                                                                    | [CHAI\#2802](https://bugzilla.ecore.bosch.com/bugzilla/show_bug.cgi?id=2802) | un-glue messages                                                  | No bugs created upstream.                                                                  | Not a real issue, marked as worksforme. |
| No need                                                                    | [bfo\#81043](https://bugs.freedesktop.org/show_bug.cgi?id=81043)             | dbus-daemon memory grows when a process behaves abusively         | Identified as the same as [bfo\#33606](https://bugs.freedesktop.org/show_bug.cgi?id=33606) | No action required                      |

# Improvements

| Bug                                                              | Title                                               | Status upstream                            | Status in Apertis                                                                                                                                                                                            |
| ---------------------------------------------------------------- | --------------------------------------------------- | ------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| [bfo\#82346](https://bugs.freedesktop.org/show_bug.cgi?id=82346) | limit D-Bus connections per process                 | patches written but possibly controversial | integrated in dbus                                                                                                                                                                                           |
| [bfo\#81469](https://bugs.freedesktop.org/show_bug.cgi?id=81469) | limit D-Bus connections per cgroups or systemd unit | patches written but possibly controversial | The limit per cgroup or systemd unit does not reach consensus upstream yet, so I'm not asking integration for it. However, the preparatory fix for cgroups is integrated and will be upstream in Linux 3.17. |

# Test programs and test cases

## D-Bus match rules

[QA/Test_Cases/dbus-dos-match-rules]( {{< ref "/qa/test_cases/dbus-dos-match-rules.md" >}} )

Bugs revealed by this test case:

| Component | Upstream                                                                                                                     |
| --------- | ---------------------------------------------------------------------------------------------------------------------------- |
| Bluez     | [Fixed in git](http://git.kernel.org/cgit/bluetooth/bluez.git/commit/?id=71d317d0d4d8db1a921082c4d51ea1f4096c6aed)           |
| ConnMan   | [Fixed in git](http://git.kernel.org/cgit/network/connman/connman.git/commit/?id=00fcf9ebc075ad7894c0ae8300e5a4e072b7e8c4)   |
| PacRunner | [Fixed in git](http://git.kernel.org/cgit/network/connman/pacrunner.git/commit/?id=78e1290bd9f5d18162c8cd9d82247414a4b6f382) |
| Ofono     | [Fixed in git](http://git.kernel.org/cgit/network/ofono/ofono.git/commit/?id=7fb48999707c778212707c634a84ef87852ec86e)       |
| Avahi     | [Reported, but not merged](http://lists.freedesktop.org/archives/avahi/2014-July/002302.html)                                |

## D-Bus reply time

[QA/Test_Cases/dbus-dos-reply-time]( {{< ref "/qa/test_cases/dbus-dos-reply-time.md" >}} ):
check the reply time (ping-pong) when traffic is generated

# Links to some related bugs

| Bug                                                                                                                                                                                                | Title                                                           | Notes                                                        |
| -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------- | ------------------------------------------------------------ |
| [bfo\#34140](https://bugs.freedesktop.org/show_bug.cgi?id=34140)                                                                                                                                   | message-spamming tool                                           | Integrated. Help to write our DoS test cases                 |
| [bfo\#80603](https://bugs.freedesktop.org/show_bug.cgi?id=80603)                                                                                                                                   | dbus-monitor showing fds                                        | Integrated. Help debugging DoS related to fd-passing         |
| [bfo\#24307](https://bugs.freedesktop.org/show_bug.cgi?id=24307) [bfo\#80759](https://bugs.freedesktop.org/show_bug.cgi?id=80759) [bgo\#735167](https://bugzilla.gnome.org/show_bug.cgi?id=735167) | GetConnectionMatchRules                                         | Integrated. Help debugging DoS related to bad match rules    |
| [bfo\#33606](https://bugs.freedesktop.org/show_bug.cgi?id=33606)                                                                                                                                   | dbus-daemon memory usage ballooning if a client is slow to read | Issue part of dbus architecture. It will not get fixed here. |

# Post 2014Q3 issues

The issues mentioned above were fixed for the 2014Q3 release. But a
couple of new issues were discovered after the 2014Q3 release:

| CVE                                                                        | Bug                                                              | Title                                                                      | Status upstream      | Status in Apertis     |
| -------------------------------------------------------------------------- | ---------------------------------------------------------------- | -------------------------------------------------------------------------- | -------------------- | --------------------- |
| [CVE-2014-7824](https://security-tracker.debian.org/tracker/CVE-2014-7824) | [bfo\#85105](https://bugs.freedesktop.org/show_bug.cgi?id=85105) | Increase file descriptor limit to avoid DoS                                | Fixed in dbus 1.8.10 | Integration requested |
| Not requested                                                              | [bfo\#85253](https://bugs.freedesktop.org/show_bug.cgi?id=85253) | Linux limiting inflight fds per user: consequences on dbus-daemon security | Hidden, not fixed    | Not fixed             |

# fd-passing on SAS

In future versions of D-Bus , it will be possible to restrict
fd-passing. This is useful because fd-passing is the source of a lot of
potential denial of service issues.

## list of fd-passing usage

On SAS, file descriptors are passed on D-Bus by the following
components:

  - interface org.bluez.HandsfreeAgent, method
    NewConnection(filedescriptor fd, uint16 version), implemented by
    ofono, called by bluez.
  - list to be completed... see [this upstream
    list](http://lists.freedesktop.org/archives/dbus/2014-October/016363.html)

## how to restrict fd-passing in the D-Bus policy

The upstream patches for send_fds, receive_fds, send_broadcast are
not yet released so the syntax can change. See also [comment 19
and 20](https://bugs.freedesktop.org/show_bug.cgi?id=85253#c19).
However, it should be something like the following.

It will be possible to restrict fd-passing in /etc/dbus-1/system.conf by
default:

<deny send_fds="true" />

And then allow it only for specific services in
/etc/dbus-1/system.d/\*.conf. Example of change in bluetooth.conf:

`-`<allow send_interface="org.bluez.HandsfreeAgent"/>
`+`<allow send_fds="true" send_destination="org.ofono" send_interface="org.bluez.HandsfreeAgent" />

Note that any 'allow' rule of type 'send' without a 'send_fds'
attribute in /etc/dbus-1/system.d/\*.conf will allow fd-passing. So it
would be necessary to do this kind of change in e.g.
org.freedesktop.RealtimeKit1.conf:

` `<policy context="default">
`-  `<allow send_destination="org.freedesktop.RealtimeKit1"/>
`+  `<allow send_destination="org.freedesktop.RealtimeKit1" send_fds="false"/>

Since rtkit-daemon is not supposed to receive file descriptors, we might
not want to allow fd-passing implicitely.