+++
fragment = "content"
date = "2016-01-14"
weight = 100

title = "Enabling New Hardware"
+++

# Introduction

Apertis is meant as a very flexible baseline to base a variety of
different product and product types. This flexibility not only in the
software selection used, but also in the hardware platforms, boards and
features.

As Apertis can cater for a variaty of use-case, there are now specific
hardware performance/feature requirments, it depends on the use-case(s)
the hardware is intended . As an example, currently there are two big
flavours of images, the "default" images with a reference HMI
implementation and the [scaled down
image]( {{< ref "/scaleddownapertisimage.md" >}} ). The former expects hardware
features like a 3D capable graphics system, touchscreen, hardware video
decoding, while the latter only relies on network connectivity and
generally has far lower resource demands.

Finally to make it possible to support various boards, it is critical
that the integration of hardware support is done in a very consistent
way using a consistent set of interface. This prevents the need for big,
and potentially conflicting, adaptions in the generic parts of the
software stack.

## Adding hardware support

Typically the end-goal of adding support for a new piece of hardware is
to either build images for it (e.g. a new board) or to add support for
it in one or more of the existing images (e.g. a newly support USB
connected modem).

In either case the first step is to add the hardware support into the
relevant (Debian) package or introduce new (Debian) packages with
support. For example, for a new modem family support might need to be
added to ofono, but only ofono. However for a new board a selection of
packages and package update will be required (e.g. kernel, bootloader,
firmware, graphics stack).

For more information about the requirements with respect to hardware
enabling see the [Hardware Interfaces]( {{< ref "/hardware_interfaces.md" >}} )
page.

Once the hardware support is available in packages and accepted in the
mainline distribution the next step is to make those available in images
if applicable.

If the additional support doesn't require a new package (e.g. an ofono
plugin for a modem which is included in the ofono package), no further
work needs to done as such a package will already be installed on all
relevant image types.

However, in case the new hardware support does require new packages or
if it's specific to a board or a platform, image integration is the next
step. To build images, in apertis two seperate pieces are build and
combined in one image:

  - ospack: A root filesystem containing all generic software for a
    particular image type and hardware architecture (e.g. full HMI
    ospack for the arm architecture).
  - hardware pack: A combination of hardware specific package (e.g.
    bootloader, kernel, graphics stack if not generic) and configuration
    metadata (partition layout, bootloader setup information etc).

If the new hardware package can be used on various boards (e.g. support
for an certain type of USB device/dongle), the package should be added
to the ospack such that it's available for all images of that type. If
however, it's specific to a board then such a packages would be added to
the hwpack (making it only available for that specific boardboard),
ofcourse if the board is completely new for Apertis a new hardware pack
should be created.

More information about image building in general can be found on [Image
building]( {{< ref "/image_building.md" >}} ) and about hardware packs in
general on [Hardware pack]( {{< ref "/hardware_pack.md" >}} ).