+++
fragment = "content"
date = "2019-03-11"
weight = 100

title = "QA WeeklyTestReport tiny-containers"
+++

/{{\#titleparts:||2}}}}

Testing results considerations:

1.  These tests use tiny container images.
2.  All automated test cases already integrated into LAVA system were
    executed on the following images: Arm, Arm64, AMD64.
3.  Failures and partial failures were filed as bugs in Phabricator for
    further investigation and analysis.

-----

The platform image used for these tests are:

  - [Arm
    (YYYYMMDD.0)](https://images.apertis.org/weekly/XX.YY/YYYYMMDD.0/armhf/isolation-rfs/isolation_rfs-XX.YY-armhf-YYYYMMDD.0.tar.gz)
  - [Arm64
    (YYYYMMDD.0)](https://images.apertis.org/weekly/XX.YY/YYYYMMDD.0/arm64/isolation-rfs/isolation_rfs-XX.YY-arm64-YYYYMMDD.0.tar.gz)
  - [AMD64
    (YYYYMMDD.0)](https://images.apertis.org/weekly/XX.YY/YYYYMMDD.0/amd64/isolation-rfs/isolation_rfs-XX.YY-amd64-YYYYMMDD.0.tar.gz)

| ID                                                                                                                   | Description                                                                                        | Type       | Arm       | Arm64     | AMD64     | Tested By | Notes |
| -------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------- | ---------- | --------- | --------- | --------- | --------- | ----- |
| **Privileged system containers**                                                                                     |                                                                                                    |            |           |           |           |           |       |
| [tiny-container-system-basic](https://qa.apertis.org/tiny-container-system-basic.html)                               | Basic functionality of Tiny system-wide privileged container                                       | Integrated | bgcolor=| | bgcolor=| | bgcolor=| |           |       |
| [tiny-container-system-connectivity-profile](https://qa.apertis.org/tiny-container-system-connectivity-profile.html) | Test of AppArmor profile for Tiny system-wide privileged container                                 | Integrated | bgcolor=| | bgcolor=| | bgcolor=| |           |       |
| [tiny-container-system-aa-enforcement](https://qa.apertis.org/tiny-container-system-aa-enforcement.html)             | Test that the AppArmor profile for dbus-daemon is loaded in system-wide privileged container       | Integrated | bgcolor=| | bgcolor=| | bgcolor=| |           |       |
| [tiny-container-system-device-sharing](https://qa.apertis.org/tiny-container-system-device-sharing.html)             | Test of device sharing between host and Tiny system-wide privileged container                      | Integrated | bgcolor=| | bgcolor=| | bgcolor=| |           |       |
| [tiny-container-system-folder-sharing](https://qa.apertis.org/tiny-container-system-folder-sharing.html)             | Test of folder sharing between host and Tiny system-wide privileged container started as user      | Integrated | bgcolor=| | bgcolor=| | bgcolor=| |           |       |
| [tiny-container-system-seccomp](https://qa.apertis.org/tiny-container-system-seccomp.html)                           | Test that the custom seccomp profile could be applied for system-wide privileged container         | Integrated | bgcolor=| | bgcolor=| | bgcolor=| |           |       |
| **Non-privileged userspace containers**                                                                              |                                                                                                    |            |           |           |           |           |       |
| [tiny-container-user-basic](https://qa.apertis.org/tiny-container-user-basic.html)                                   | Basic functionality of unprivileged tiny container started as user                                 | Integrated | bgcolor=| | bgcolor=| | bgcolor=| |           |       |
| [tiny-container-user-connectivity-profile](https://qa.apertis.org/tiny-container-user-connectivity-profile.html)     | Test of AppArmor profile for Tiny unprivileged container started as user                           | Integrated | bgcolor=| | bgcolor=| | bgcolor=| |           |       |
| [tiny-container-user-aa-enforcement](https://qa.apertis.org/tiny-container-user-aa-enforcement.html)                 | Test that the AppArmor profile for dbus-daemon is loaded in unprivileged container started as user | Integrated | bgcolor=| | bgcolor=| | bgcolor=| |           |       |
| [tiny-container-user-device-sharing](https://qa.apertis.org/tiny-container-user-device-sharing.html)                 | Test of device sharing between host and Tiny unprivileged container started as user                | Integrated | bgcolor=| | bgcolor=| | bgcolor=| |           |       |
| [tiny-container-user-folder-sharing](https://qa.apertis.org/tiny-container-user-folder-sharing.html)                 | Test of folder sharing between host and Tiny unprivileged container started as user                | Integrated | bgcolor=| | bgcolor=| | bgcolor=| |           |       |
| [tiny-container-user-seccomp](https://qa.apertis.org/tiny-container-user-seccomp.html)                               | Test that the custom seccomp profile could be applied for unprivileged container started as user   | Integrated | bgcolor=| | bgcolor=| | bgcolor=| |           |       |
|                                                                                                                      |                                                                                                    |            |           |           |           |           |       |
|                                                                                                                      |                                                                                                    |            |           |           |           |           |       |
|                                                                                                                      | PASSED - All tests passed.                                                                         |            |           |           |           |           |       |
|                                                                                                                      | PARTIAL - Tests mostly passed, with some minor problems.                                           |            |           |           |           |           |       |
|                                                                                                                      | FAILED - One or more tests failed.                                                                 |            |           |           |           |           |       |
|                                                                                                                      | NOT TESTED - Test not run due to some issue, like WIP, Disabled, lacking proper hardware.          |            |           |           |           |           |       |
|                                                                                                                      |                                                                                                    |            |           |           |           |           |       |
|                                                                                                                      |                                                                                                    |            |           |           |           |           |       |
|                                                                                                                      | CRITICAL test case - release blocker                                                               |            |           |           |           |           |       |
|                                                                                                                      | HIGH priority test case - must be tested every week                                                |            |           |           |           |           |       |
|                                                                                                                      | MEDIUM priority test case - must be tested at least every other week                               |            |           |           |           |           |       |
|                                                                                                                      | LOW priority test case - test when possible                                                        |            |           |           |           |           |       |
|                                                                                                                      |                                                                                                    |            |           |           |           |           |       |

[Category:QA/Test report]( {{< ref "/category_qa/test_report.md" >}} )
[Category:QA/tiny-containers test
report]( {{< ref "/category_qa/tiny-containers_test_report.md" >}} )
[Category:QA/Test report/{{\#rel2abs:
../../../.}}]()