+++
fragment = "content"
date = "2015-08-04"
weight = 100

title = "RollerWidget Clutter"
+++

# Glow effect

In the roller widget, the item that currently has the focus should be
highlighted as the image below illustrates:

![Glow.jpg](https://git.apertis.org/cgit/roller_issues.git/tree/Glow.jpg)

The current approach is using a shader to create the glowing effect, but
the shader is actually performing a different effect:

![<File:glow-bad.png>](/images/glow-bad.png)

The basic idea is correct (color pixels based on their proximity to the
texture) but the [blur
algorithm](https://git.apertis.org/cgit/roller.git/tree/mmd_rollerng_shader.c?id=ed542d3f0d8240188b815ae94d3d0cff8d26784e)
isn't implemented correctly.

## Status

The shader [implemented
here](https://git.apertis.org/cgit/roller_experiments.git/tree/glow-shader.c?h=mx)
produces this result with only 8 samples:

![<File:glow_shader.png>](/images/glow_shader.png)

When [this
patch](http://bugzilla.clutter-project.org/show_bug.cgi?id=2454) and its
dependencies land in 1.4, shaders will be appropriately cached and will
be compiled and linked only once. Next step is evaluating its
performance in the target hardware.

# Distortion of height

In the thumbnail view, the row that currently has the focus should be a
bit higher than the non-focused visible rows:

![ThumbView.png](https://git.apertis.org/cgit/roller_issues.git/plain/ThumbView.png)

Two possible approaches are:

  - changing the size of the focused actor. Can be very slow with many
    items but by avoiding painting and allocating non-visible actors may
    be feasible.
  - applying a vertex shader that will change the sizes of the actors,
    such as a [fisheye
    effect](http://pixelsorcery.wordpress.com/2010/07/13/fisheye-vertex-shader/).
    If the hardware doesn't support vertex shaders, the software
    fallback may be fast enough because there's few vertices.

In both approaches we would need a fragment shader for mapping evenly
the image surface to the new size.

## Status

The use of shaders is being investigated, biggest question is if there's
enough hardware support for running the required shaders.

# Thumb view to Detail view transition

When transitioning to the detail view from the thumb view, the icons
need to be rearranged in a single column as shown in [this
video](https://git.apertis.org/cgit/roller_issues.git/plain/ThumbView_Transition.avi).

This has been accomplished with \!ClutterBehaviourPath but there's an
issue left with not being able to retrieve the final coordinates of the
translated actors.