+++
fragment = "content"
date = "2017-01-23"
weight = 100

title = "15.03 TestReports 20150313"
+++

Testing results considerations:

1.  This test only included automated test cases that integrated into
    LAVA system were executed on images: Target ARM, **Target AMD64**,
    **Development AMD64**, Target x86, Development x86 and SDK x86.
2.  Test cases marked as 'under development' were skipped during this
    testing round.
3.  Failures and partial failures were noted in the Release notes
    document for further analyse.

-----

| ID                                                                                                                              | Description                                                                                                                                                                                                                                                                                                                                                                                                                                               | Type       | Target ARM                       | Devel ARM | Target AMD64                  | Development AMD64 | Target x86                       | Devel x86                        | SDK x86                          | Tested By | Notes                                                                                                                                                                                                                                                                                                                                                                |
| ------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------- | -------------------------------- | --------- | ----------------------------- | ----------------- | -------------------------------- | -------------------------------- | -------------------------------- | --------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Booting**                                                                                                                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                           |            |                                  |           |                               |                   |                                  |                                  |                                  |           |                                                                                                                                                                                                                                                                                                                                                                      |
| [gstreamer1.0-decode](https://wiki.apertis.org/QA/Test%20Cases/gstreamer1.0-decode)                                             | Test video and audio decoders and demuxers on a list of media.                                                                                                                                                                                                                                                                                                                                                                                            | Integrated | bgcolor= "\#68FF68" | PASSED     | N/A       | bgcolor= "\#68FF68" | PASSED  | N/A               | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| [webkit-layout-tests](https://wiki.apertis.org/QA/Test%20Cases/webkit-layout-tests)                                             | Layout tests are used to check the correctness of the renderer. It involves loading pages in a test renderer (DumpRenderTree) and comparing the rendered output tree against an expected output file.                                                                                                                                                                                                                                                     | Integrated | bgcolor= "\#D1B7FF" | NOT TESTED | N/A       | N/A                           | FAILED            | bgcolor= "\#FF8A75" | FAILED     | bgcolor= "\#FF8A75" | FAILED     | bgcolor= "\#FF8A75" | FAILED     | alee      | Doesn't run on arm: [bug 130](/bbz:130). Fails: [bug 70](/bbz:70)                                                                                                                                                                                                                                                                              |
| [gettext-i18n](https://wiki.apertis.org/QA/Test%20Cases/gettext-i18n)                                                           | Check that gettext internationalization works.                                                                                                                                                                                                                                                                                                                                                                                                            | Integrated | bgcolor= "\#68FF68" | PASSED     | N/A       | bgcolor= "\#68FF68" | PASSED  | PASSED            | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| [gupnp-services](https://wiki.apertis.org/QA/Test%20Cases/gupnp-services)                                                       | Run a few tests related to service browsing, introspection, etc.                                                                                                                                                                                                                                                                                                                                                                                          | Integrated | bgcolor= "\#68FF68" | PASSED     | N/A       | PASSED                        | N/A               | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| [librest-unit](https://wiki.apertis.org/QA/Test%20Cases/librest-unit)                                                           | Run the unit tests that ship with the library against the running system.                                                                                                                                                                                                                                                                                                                                                                                 | Integrated | bgcolor= "\#68FF68" | PASSED     | N/A       | PASSED                        | PASSED            | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| [libsoup-unit](https://wiki.apertis.org/QA/Test%20Cases/libsoup-unit)                                                           | Run the unit tests that ship with the library against the running system.                                                                                                                                                                                                                                                                                                                                                                                 | Integrated | bgcolor= "\#FFFF95" | PARTIAL    | N/A       | PASSED                        | PASSED            | bgcolor= "\#FFFF95" | PARTIAL    | bgcolor= "\#FFFF95" | PARTIAL    | bgcolor= "\#FFFF95" | PARTIAL    | alee      | [bug 71](/bbz:71)                                                                                                                                                                                                                                                                                                                                         |
| [tracker-configuration](https://wiki.apertis.org/QA/Test%20Cases/tracker-configuration)                                         | Check if tracker indexing is configured properly.                                                                                                                                                                                                                                                                                                                                                                                                         | Integrated | bgcolor= "\#68FF68" | PASSED     | N/A       | PASSED                        | PASSED            | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| [tracker-indexing-local-storage](https://wiki.apertis.org/QA/Test%20Cases/tracker-indexing-local-storage)                       | Check tracker indexing of local storage and journal behaviour.                                                                                                                                                                                                                                                                                                                                                                                            | Integrated | bgcolor= "\#FFFF95" | PARTIAL    | N/A       | bgcolor= "\#FFFF95" | PARTIAL | PARTIAL           | bgcolor= "\#FFFF95" | PARTIAL    | bgcolor= "\#FFFF95" | PARTIAL    | bgcolor= "\#FFFF95" | PARTIAL    | alee      | [bug 72](/bbz:72)                                                                                                                                                                                                                                                                                                                                         |
| [tumbler-thumbnailing](https://wiki.apertis.org/QA/Test%20Cases/tumbler-thumbnailing)                                           | Check that all thumbnailing features of tumbler are working properly (large, small, videos, documents, images).                                                                                                                                                                                                                                                                                                                                           | Integrated | bgcolor= "\#68FF68" | PASSED     | N/A       | PASSED                        | PASSED            | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| **Grilo**                                                                                                                       |                                                                                                                                                                                                                                                                                                                                                                                                                                                           |            |                                  |           |                               |                   |                                  |                                  |                                  |           |                                                                                                                                                                                                                                                                                                                                                                      |
| [grilo](https://wiki.apertis.org/QA/Test%20Cases/grilo)                                                                         | Check grilo metadata notifications, and filesystem browsing.                                                                                                                                                                                                                                                                                                                                                                                              | Integrated | bgcolor= "\#68FF68" | PASSED     | N/A       | PASSED                        | PASSED            | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| **Networking**                                                                                                                  |                                                                                                                                                                                                                                                                                                                                                                                                                                                           |            |                                  |           |                               |                   |                                  |                                  |                                  |           |                                                                                                                                                                                                                                                                                                                                                                      |
| [connman](https://wiki.apertis.org/QA/Test%20Cases/connman)                                                                     | Runs some automated tests using the ConnMan D-Bus API. It guarantees most of the basic features are working.                                                                                                                                                                                                                                                                                                                                              | Integrated | PARTIAL                          | N/A       | PARTIAL                       | PARTIAL           | bgcolor= "\#FFFF95" | PARTIAL    | bgcolor= "\#FFFF95" | PARTIAL    | bgcolor= "\#FFFF95" | PARTIAL    | alee      | Wait for packaging: [bbz:74](/bbz:74)                                                                                                                                                                                                                                                                                                                     |
| [connman-new-supplicant](https://wiki.apertis.org/QA/Test%20Cases/connman-new-supplicant)                                       | Test the wpa_supplicant interface.                                                                                                                                                                                                                                                                                                                                                                                                                       | Integrated | bgcolor= "\#68FF68" | PASSED     | N/A       | PASSED                        | PASSED            | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| **Folks**                                                                                                                       |                                                                                                                                                                                                                                                                                                                                                                                                                                                           |            |                                  |           |                               |                   |                                  |                                  |                                  |           |                                                                                                                                                                                                                                                                                                                                                                      |
| [folks-alias-persistence](https://wiki.apertis.org/QA/Test%20Cases/folks-alias-persistence)                                     | Ensures user-set contact aliases persist.                                                                                                                                                                                                                                                                                                                                                                                                                 | Integrated | bgcolor= "\#68FF68" | PASSED     | N/A       | PASSED                        | N/A               | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| [folks-eds-compatibility](https://wiki.apertis.org/QA/Test%20Cases/folks-eds-compatibility)                                     | Checks that contacts created within Evolution Data Server (as will happen when phone contacts get synchronized to an Apertis machine) show up in other contact-based programs.                                                                                                                                                                                                                                                                            | Integrated | bgcolor= "\#68FF68" | PASSED     | N/A       | PASSED                        | N/A               | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| [folks-metacontacts-linking](https://wiki.apertis.org/QA/Test%20Cases/folks-metacontacts-linking)                               | Ensures linking meta-contacts works properly.                                                                                                                                                                                                                                                                                                                                                                                                             | Integrated | bgcolor= "\#68FF68" | PASSED     | N/A       | PASSED                        | N/A               | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| [folks-metacontacts-unlinking](https://wiki.apertis.org/QA/Test%20Cases/folks-metacontacts-unlinking)                           | Ensures unlinking meta-contacts works properly.                                                                                                                                                                                                                                                                                                                                                                                                           | Integrated | bgcolor= "\#68FF68" | PASSED     | N/A       | PASSED                        | N/A               | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| [folks-telepathy-retrieve-contacts](https://wiki.apertis.org/QA/Test%20Cases/folks-telepathy-retrieve-contacts)                 | Ensures that Folks can correctly retrieve Telepathy contacts.                                                                                                                                                                                                                                                                                                                                                                                             | Integrated | bgcolor= "\#68FF68" | PASSED     | N/A       | PASSED                        | N/A               | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| **Telepathy**                                                                                                                   |                                                                                                                                                                                                                                                                                                                                                                                                                                                           |            |                                  |           |                               |                   |                                  |                                  |                                  |           |                                                                                                                                                                                                                                                                                                                                                                      |
| [telepathy-gabble-unit](https://wiki.apertis.org/QA/Test%20Cases/telepathy-gabble-unit)                                         | Run telepathy-gabble test suite.                                                                                                                                                                                                                                                                                                                                                                                                                          | Integrated | bgcolor= "\#D1B7FF" | NOT TESTED | N/A       | PARTIAL                       | N/A               | bgcolor= "\#D1B7FF" | NOT TESTED | bgcolor= "\#D1B7FF" | NOT TESTED | bgcolor= "\#D1B7FF" | NOT TESTED | alee      | Test does not run: [bug 131](/bbz:131). Fails: [bug 75](/bbz:75)                                                                                                                                                                                                                                                                               |
| **Apparmor Basic**                                                                                                              |                                                                                                                                                                                                                                                                                                                                                                                                                                                           |            |                                  |           |                               |                   |                                  |                                  |                                  |           |                                                                                                                                                                                                                                                                                                                                                                      |
| [apparmor-basic-profiles](https://wiki.apertis.org/QA/Test%20Cases/apparmor-basic-profiles)                                     | Test basic apparmor profiles. Only parsing and syntax of profiles are tested for now.                                                                                                                                                                                                                                                                                                                                                                     | Integrated | bgcolor= "\#D1B7FF" | NOT TESTED | N/A       | PASSED                        | N/A               | PASSED                           | PASSED                           | PASSED                           | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| **CGroups**                                                                                                                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                           |            |                                  |           |                               |                   |                                  |                                  |                                  |           |                                                                                                                                                                                                                                                                                                                                                                      |
| [cgroups-resource-control](https://wiki.apertis.org/QA/Test%20Cases/cgroups-resource-control)                                   | Run cgroup resource control tests                                                                                                                                                                                                                                                                                                                                                                                                                         | Integrated | bgcolor= "\#68FF68" | PASSED     | N/A       | PASSED                        | PASSED            | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| **SDK**                                                                                                                         |                                                                                                                                                                                                                                                                                                                                                                                                                                                           |            |                                  |           |                               |                   |                                  |                                  |                                  |           |                                                                                                                                                                                                                                                                                                                                                                      |
| [sdk-performance-tools-gprof-smoke-test](https://wiki.apertis.org/QA/Test%20Cases/sdk-performance-tools-gprof-smoke-test)       | Checks basic gprof functionality by ensuring a CPU-intensive program shows up in its log as consuming the vast majority of the CPU cycles.                                                                                                                                                                                                                                                                                                                | Integrated | N/A                              | N/A       | N/A                           | N/A               | N/A                              | N/A                              | bgcolor= "\#68FF68" | PASSED     | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| [sdk-performance-tools-sysprof-smoke-test](https://wiki.apertis.org/QA/Test%20Cases/sdk-performance-tools-sysprof-smoke-test)   | Checks basic sysprof functionality by ensuring a CPU-intensive program shows up in its log as consuming the vast majority of the CPU cycles.                                                                                                                                                                                                                                                                                                              | Integrated | N/A                              | N/A       | N/A                           | N/A               | N/A                              | N/A                              | bgcolor= "\#68FF68" | PASSED     | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| [sdk-debug-tools-gdb-smoke-test](https://wiki.apertis.org/QA/Test%20Cases/sdk-debug-tools-gdb-smoke-test)                       | Checks basic gdb functionality by stopping a program at a set point and checking its backtrace matches expectations.                                                                                                                                                                                                                                                                                                                                      | Integrated | N/A                              | N/A       | N/A                           | N/A               | N/A                              | N/A                              | bgcolor= "\#68FF68" | PASSED     | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| [sdk-debug-tools-strace-smoke-test](https://wiki.apertis.org/QA/Test%20Cases/sdk-debug-tools-strace-smoke-test)                 | Checks basic strace functionality by checking its output when run on a simple command line program.                                                                                                                                                                                                                                                                                                                                                       | Integrated | N/A                              | N/A       | N/A                           | N/A               | N/A                              | N/A                              | bgcolor= "\#68FF68" | PASSED     | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| [sdk-debug-tools-valgrind-smoke-test](https://wiki.apertis.org/QA/Test%20Cases/sdk-debug-tools-valgrind-smoke-test)             | Checks basic valgrind functionality by running a program with and without memory leaks, ensuring expected results from valgrind.                                                                                                                                                                                                                                                                                                                          | Integrated | N/A                              | N/A       | N/A                           | N/A               | N/A                              | N/A                              | bgcolor= "\#68FF68" | PASSED     | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| [sdk-code-analysis-tools-gcov-smoke-test](https://wiki.apertis.org/QA/Test%20Cases/sdk-code-analysis-tools-gcov-smoke-test)     | Checks basic gcov functionality by running a sample program a few different ways and ensuring that a sufficient portion of its code paths are executed                                                                                                                                                                                                                                                                                                    | Integrated | N/A                              | N/A       | N/A                           | N/A               | N/A                              | N/A                              | bgcolor= "\#68FF68" | PASSED     | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| [sdk-code-analysis-tools-splint-smoke-test](https://wiki.apertis.org/QA/Test%20Cases/sdk-code-analysis-tools-splint-smoke-test) | Checks basic splint functionality by checking its output when run on a simple source file.                                                                                                                                                                                                                                                                                                                                                                | Integrated | N/A                              | N/A       | N/A                           | N/A               | N/A                              | N/A                              | bgcolor= "\#68FF68" | PASSED     | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| **Contacts**                                                                                                                    |                                                                                                                                                                                                                                                                                                                                                                                                                                                           |            |                                  |           |                               |                   |                                  |                                  |                                  |           |                                                                                                                                                                                                                                                                                                                                                                      |
| [folks-metacontacts-antilinking](https://wiki.apertis.org/QA/Test%20Cases/folks-metacontacts-antilinking)                       | Ensures anti-linking meta-contacts works properly.                                                                                                                                                                                                                                                                                                                                                                                                        | Integrated | bgcolor= "\#68FF68" | PASSED     | N/A       | PASSED                        | N/A               | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| **Clutter Multitouch**                                                                                                          |                                                                                                                                                                                                                                                                                                                                                                                                                                                           |            |                                  |           |                               |                   |                                  |                                  |                                  |           |                                                                                                                                                                                                                                                                                                                                                                      |
| [xoo-soft-keys-emulation](https://wiki.apertis.org/QA/Test%20Cases/xoo-soft-keys-emulation)                                     | Test that 'xoo' allows one to pass-in Xephyr-nested key events from clicking UI buttons                                                                                                                                                                                                                                                                                                                                                                   | Integrated | N/A                              | N/A       | N/A                           | N/A               | N/A                              | N/A                              | bgcolor= "\#FF8A75" | FAILED     | alee      | [bug 154](/bbz:154)                                                                                                                                                                                                                                                                                                                                       |
| [clutter-performance](https://wiki.apertis.org/QA/Test%20Cases/clutter-performance)                                             | Test performance of Clutter                                                                                                                                                                                                                                                                                                                                                                                                                               | Integrated | bgcolor= "\#68FF68" | PASSED     | N/A       | PASSED                        | PASSED            | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| [x-out-of-screen-events-buttond](https://wiki.apertis.org/QA/Test%20Cases/x-out-of-screen-events-buttond)                       | Test that buttond generates correct keystrokes in response to simulated touch screen input                                                                                                                                                                                                                                                                                                                                                                | Integrated | bgcolor= "\#68FF68" | PASSED     | N/A       | bgcolor= "\#68FF68" | PASSED  | PASSED            | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| **Connectivity**                                                                                                                |                                                                                                                                                                                                                                                                                                                                                                                                                                                           |            |                                  |           |                               |                   |                                  |                                  |                                  |           |                                                                                                                                                                                                                                                                                                                                                                      |
| [telepathy-ring-automated](https://wiki.apertis.org/QA/Test%20Cases/telepathy-ring-automated)                                   | Support making and receiving phone calls in Telepathy.                                                                                                                                                                                                                                                                                                                                                                                                    | Integrated | N/A                              | N/A       | N/A                           | N/A               | N/A                              | N/A                              | bgcolor= "\#FF8A75" | FAILED     | alee      | [bug 155](/bbz:155) [1](https://lava.collabora.co.uk/scheduler/job/10573)                                                                                                                                                                                                                                                                                 |
| **Contacts**                                                                                                                    |                                                                                                                                                                                                                                                                                                                                                                                                                                                           |            |                                  |           |                               |                   |                                  |                                  |                                  |           |                                                                                                                                                                                                                                                                                                                                                                      |
| [folks-search-contacts](https://wiki.apertis.org/QA/Test%20Cases/folks-search-contacts)                                         | Ensures that Folks can correctly search contacts.                                                                                                                                                                                                                                                                                                                                                                                                         | Integrated | bgcolor= "\#68FF68" | PASSED     | N/A       | PASSED                        | N/A               | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| [abstract-contact-addressbook-creation](https://wiki.apertis.org/QA/Test%20Cases/abstract-contact-addressbook-creation)         | A way to be able to create abstract addressbook is needed in SyncEvolution, so that separate addressbooks can be created for each paired device.                                                                                                                                                                                                                                                                                                          | Integrated | bgcolor= "\#68FF68" | PASSED     | N/A       | PASSED                        | N/A               | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| [folks-sync-only](https://wiki.apertis.org/QA/Test%20Cases/folks-sync-only)                                                     | Test SYNCHRONIZE_ONLY flag for persona stores in Folks.                                                                                                                                                                                                                                                                                                                                                                                                  | Integrated | N/A                              | N/A       | N/A                           | N/A               | N/A                              | N/A                              | bgcolor= "\#68FF68" | PASSED     | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| [storage-arbitrary-data-contacts](https://wiki.apertis.org/QA/Test%20Cases/storage-of-arbitrary-data-in-contacts)               | Support for storing arbitrary data in contacts in Folks.                                                                                                                                                                                                                                                                                                                                                                                                  | Integrated | bgcolor= "\#68FF68" | PASSED     | N/A       | PASSED                        | N/A               | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| **Meta Data Management**                                                                                                        |                                                                                                                                                                                                                                                                                                                                                                                                                                                           |            |                                  |           |                               |                   |                                  |                                  |                                  |           |                                                                                                                                                                                                                                                                                                                                                                      |
| [grilo-playlist-browsing](https://wiki.apertis.org/QA/Test%20Cases/grilo-playlist-browsing)                                     | Test playlist browsing from grilo, that is basically Grilo can inspect playlist contents and show its entries as if they were Grilo Media objects.                                                                                                                                                                                                                                                                                                        | Integrated | bgcolor= "\#68FF68" | PASSED     | N/A       | PASSED                        | PASSED            | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| **Robustness**                                                                                                                  |                                                                                                                                                                                                                                                                                                                                                                                                                                                           |            |                                  |           |                               |                   |                                  |                                  |                                  |           |                                                                                                                                                                                                                                                                                                                                                                      |
| [glib-gio-fs](https://wiki.apertis.org/QA/Test%20Cases/glib-gio-fs)                                                             | Run the GLib gio tests that do I/O on the local filesystem.                                                                                                                                                                                                                                                                                                                                                                                               | Integrated | bgcolor= "\#68FF68" | PASSED     | N/A       | PASSED                        | PASSED            | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| [sqlite-veryquick](https://wiki.apertis.org/QA/Test%20Cases/sqlite-veryquick)                                                   | Run the "veryquick" tests shipped with SQLite.                                                                                                                                                                                                                                                                                                                                                                                                            | Integrated | bgcolor= "\#FFFF95" | PARTIAL    | N/A       | PARTIAL                       | N/A               | bgcolor= "\#FFFF95" | PARTIAL    | bgcolor= "\#FFFF95" | PARTIAL    | bgcolor= "\#FFFF95" | PARTIAL    | alee      | Fails: [bug 80](/bbz:80)                                                                                                                                                                                                                                                                                                                                  |
| **Security**                                                                                                                    |                                                                                                                                                                                                                                                                                                                                                                                                                                                           |            |                                  |           |                               |                   |                                  |                                  |                                  |           |                                                                                                                                                                                                                                                                                                                                                                      |
| [apparmor](https://wiki.apertis.org/QA/Test%20Cases/apparmor)                                                                   | Functional testing for AppArmor functionalities.                                                                                                                                                                                                                                                                                                                                                                                                          | Integrated | bgcolor= "\#D1B7FF" | NOT TESTED | N/A       | NOT TESTED                    | N/A               | bgcolor= "\#FFFF95" | PARTIAL    | bgcolor= "\#FFFF95" | PARTIAL    | bgcolor= "\#FFFF95" | PARTIAL    | alee      | Test does not run:[bug 118](/bbz:118). fails:[bug 99](/bbz:99) [2](https://lava.collabora.co.uk/scheduler/job/10547) [3](https://lava.collabora.co.uk/scheduler/job/10559) [4](https://lava.collabora.co.uk/scheduler/job/10571)                                                                                                               |
| [apparmor-chaiwala-system](https://wiki.apertis.org/QA/Test%20Cases/apparmor-chaiwala-system)                                   | Test that AppArmor's system wide rules works according to Apertis security goals.                                                                                                                                                                                                                                                                                                                                                                         | Integrated | bgcolor= "\#68FF68" | PASSED     | N/A       | PASSED                        | PASSED            | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| [apparmor-functional-demo](https://wiki.apertis.org/QA/Test%20Cases/apparmor-functional-demo)                                   | Show some main AppArmor functionalities, like transitions, net access or resource permissions, under the form of tests.                                                                                                                                                                                                                                                                                                                                   | Integrated | bgcolor= "\#68FF68" | PASSED     | N/A       | PASSED                        | PASSED            | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| [apparmor-utils](https://wiki.apertis.org/QA/Test%20Cases/apparmor-utils)                                                       | Test apparmor_parser and other tools in apparmor package can be executed.                                                                                                                                                                                                                                                                                                                                                                                | Integrated | bgcolor= "\#68FF68" | PASSED     | N/A       | PASSED                        | PASSED            | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| [apparmor-gstreamer1.0](https://wiki.apertis.org/QA/Test%20Cases/apparmor-gstreamer1.0)                                         | Test that AppArmor profiles provided in GStreamer 1.0 works without Auditd complaining                                                                                                                                                                                                                                                                                                                                                                    | Integrated | bgcolor= "\#68FF68" | PASSED     | N/A       | PASSED                        | PASSED            | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| [apparmor-pulseaudio](https://wiki.apertis.org/QA/Test%20Cases/apparmor-pulseaudio)                                             | Test that AppArmor profiles provided in PulseAudio 2.1 work without Auditd complaining.                                                                                                                                                                                                                                                                                                                                                                   | Integrated | bgcolor= "\#68FF68" | PASSED     | N/A       | PASSED                        | PASSED            | bgcolor= "\#68FF68" | PASSED     | N/A                              | N/A                              | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| [apparmor-webkit-clutter](https://wiki.apertis.org/QA/Test%20Cases/apparmor-webkit-clutter)                                     | Tests that the webkit-clutter abstraction doesn't cause false negatives and that it does not allow arbitrary reading of files in the home directory.                                                                                                                                                                                                                                                                                                      | Integrated | bgcolor= "\#D1B7FF" | NOT TESTED | N/A       | PARTIAL                       | PARTIAL           | bgcolor= "\#FFFF95" | PARTIAL    | bgcolor= "\#FFFF95" | PARTIAL    | bgcolor= "\#FFFF95" | PARTIAL    | alee      | [bug 87](/bbz:87)                                                                                                                                                                                                                                                                                                                                         |
| [apparmor-folks](https://wiki.apertis.org/QA/Test%20Cases/apparmor-folks)                                                       | Test that AppArmor profiles provided in Folks package work without unexpected auditd log entries.                                                                                                                                                                                                                                                                                                                                                         | Integrated | bgcolor= "\#D1B7FF" | NOT TESTED | N/A       | PASSED                        | PASSED            | bgcolor= "\#FFFF95" | PARTIAL    | bgcolor= "\#FFFF95" | PARTIAL    | bgcolor= "\#FFFF95" | PARTIAL    | alee      | [bug 88](/bbz:88) [5](https://lava.collabora.co.uk/scheduler/job/10547) [6](https://lava.collabora.co.uk/scheduler/job/10559) [7](https://lava.collabora.co.uk/scheduler/job/10571)                                                                                                                                                                       |
| [apparmor-geoclue](https://wiki.apertis.org/QA/Test%20Cases/apparmor-geoclue)                                                   | Test that geoclue apparmor profiles are working properly                                                                                                                                                                                                                                                                                                                                                                                                  | Integrated | bgcolor= "\#FFFF95" | PARTIAL    | N/A       | PARTIAL                       | PARTIAL           | bgcolor= "\#FFFF95" | PARTIAL    | bgcolor= "\#FFFF95" | PARTIAL    | bgcolor= "\#FFFF95" | PARTIAL    | alee      | [bug 99](/bbz:99) [8](https://lava.collabora.co.uk/scheduler/job/10547) [9](https://lava.collabora.co.uk/scheduler/job/10553) [10](https://lava.collabora.co.uk/scheduler/job/10559) [11](https://lava.collabora.co.uk/scheduler/job/10571) [12](https://lava.collabora.co.uk/scheduler/job/10578) [13](https://lava.collabora.co.uk/scheduler/job/10565) |
| [apparmor-libreoffice](https://wiki.apertis.org/QA/Test%20Cases/apparmor-libreoffice)                                           | Tests that the libreoffice profile doesn't cause false negatives and that it does not allow arbitrary reading of files in the home directory.                                                                                                                                                                                                                                                                                                             | Integrated | bgcolor= "\#68FF68" | PASSED     | N/A       | PASSED                        | PASSED            | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| [apparmor-tracker](https://wiki.apertis.org/QA/Test%20Cases/apparmor-tracker)                                                   | Tests that the tracker abstraction and tracker profiles don't cause false negatives and that it does not allow arbitrary reading of files in the home directory.                                                                                                                                                                                                                                                                                          | Integrated | bgcolor= "\#D1B7FF" | NOT TESTED | N/A       | NOT TESTED                    | N/A               | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| [apparmor-tumbler](https://wiki.apertis.org/QA/Test%20Cases/apparmor-tumbler)                                                   | Tests that the tumbler profile doesn't cause false negatives and that it does not allow arbitrary reading of files in the home directory.                                                                                                                                                                                                                                                                                                                 | Integrated | bgcolor= "\#68FF68" | PASSED     | N/A       | PASSED                        | PASSED            | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| [iptables-basic](https://wiki.apertis.org/QA/Test%20Cases/iptables-basic)                                                       | Test the firewall automatically.                                                                                                                                                                                                                                                                                                                                                                                                                          | Integrated | bgcolor= "\#68FF68" | PASSED     | N/A       | PASSED                        | PASSED            | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| [apparmor-dbus](https://wiki.apertis.org/QA/Test%20Cases/apparmor-dbus)                                                         | Functional testing for AppArmor D-Bus mediation.                                                                                                                                                                                                                                                                                                                                                                                                          | Integrated | bgcolor= "\#D1B7FF" | NOT TESTED | N/A       | PASSED                        | PASSED            | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| **System Update**                                                                                                               |                                                                                                                                                                                                                                                                                                                                                                                                                                                           |            |                                  |           |                               |                   |                                  |                                  |                                  |           |                                                                                                                                                                                                                                                                                                                                                                      |
| [btrfs-snapshot-management](https://wiki.apertis.org/QA/Test%20Cases/btrfs-snapshot-management)                                 | Test subvolume management using Btrfs for system upgrades.                                                                                                                                                                                                                                                                                                                                                                                                | Integrated | bgcolor= "\#68FF68" | PASSED     | N/A       | PASSED                        | PASSED            | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| [v4l-automated](https://wiki.apertis.org/QA/Test%20Cases/v4l-automated)                                                         | Test the v4l codepaths of chaiwala-v4l2fb.                                                                                                                                                                                                                                                                                                                                                                                                                | Integrated | N/A                              | N/A       | PASSED                        | PASSED            | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | N/A                              | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| [boot-performance-automated](https://wiki.apertis.org/QA/Test%20Cases/boot-performance-automated)                               | Test boot performance.                                                                                                                                                                                                                                                                                                                                                                                                                                    | Integrated | bgcolor= "\#68FF68" | PASSED     | N/A       | bgcolor= "\#68FF68" | PASSED  | PASSED            | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
| **Webkit**                                                                                                                      |                                                                                                                                                                                                                                                                                                                                                                                                                                                           |            |                                  |           |                               |                   |                                  |                                  |                                  |           |                                                                                                                                                                                                                                                                                                                                                                      |
| [webkit-clutter-javascriptcore](https://wiki.apertis.org/QA/Test%20Cases/webkit-clutter-javascriptcore)                         | JavaScriptCore tests are implementation of the Mozilla JavaScript Test Suite. This test suite covers the functionality of the core JavaScript engine. This includes several JavaScript objects such as Arrays, Booleans, Dates, Functions, Global Object, Math, Numbers, Objects, Regular Expressions and Strings. In addition the JavaScript tests cover parsing, lexical conventions, expressions, statements, type conversion, and exception handling. | Integrated | bgcolor= "\#68FF68" | PASSED     | N/A       | PASSED                        | PASSED            | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | bgcolor= "\#68FF68" | PASSED     | alee      |                                                                                                                                                                                                                                                                                                                                                                      |
|                                                                                                                                 |                                                                                                                                                                                                                                                                                                                                                                                                                                                           |            |                                  |           |                               |                   |                                  |                                  |                                  |           |                                                                                                                                                                                                                                                                                                                                                                      |
|                                                                                                                                 |                                                                                                                                                                                                                                                                                                                                                                                                                                                           |            |                                  |           |                               |                   |                                  |                                  |                                  |           |                                                                                                                                                                                                                                                                                                                                                                      |
|                                                                                                                                 | PASSED - All tests passed.                                                                                                                                                                                                                                                                                                                                                                                                                                |            |                                  |           |                               |                   |                                  |                                  |                                  |           |                                                                                                                                                                                                                                                                                                                                                                      |
|                                                                                                                                 | PARTIAL - Tests mostly passed, with some minor problems.                                                                                                                                                                                                                                                                                                                                                                                                  |            |                                  |           |                               |                   |                                  |                                  |                                  |           |                                                                                                                                                                                                                                                                                                                                                                      |
|                                                                                                                                 | FAILED - One or more tests failed.                                                                                                                                                                                                                                                                                                                                                                                                                        |            |                                  |           |                               |                   |                                  |                                  |                                  |           |                                                                                                                                                                                                                                                                                                                                                                      |
|                                                                                                                                 | NOT TESTED - Test not run due to some issue, like WIP, Disabled, lacking proper hardware.                                                                                                                                                                                                                                                                                                                                                                 |            |                                  |           |                               |                   |                                  |                                  |                                  |           |                                                                                                                                                                                                                                                                                                                                                                      |
|                                                                                                                                 |                                                                                                                                                                                                                                                                                                                                                                                                                                                           |            |                                  |           |                               |                   |                                  |                                  |                                  |           |                                                                                                                                                                                                                                                                                                                                                                      |

[Category:QA/Test_report]( {{< ref "/category_qa/test_report.md" >}} )
[Category:QA/Test_report/{{\#rel2abs:
../../.}}]()