+++
fragment = "content"
date = "2019-01-10"
weight = 100

title = "19.03 TestReports 20190102"
+++

Testing results considerations:

1.  Manual test cases were executed on target Arm, target AMD64, base
    SDK AMD64 and SDK AMD64 images when applicable.
2.  All automated test cases already integrated into LAVA system were
    executed on the following images: target Arm, target AMD64,
    development AMD64, base SDK AMD64 and SDK AMD64.
3.  Failures and partial failures were filed as bugs in Phabricator for
    further investigation and analysis.

For OSTree tests, please refer to [{{\#rel2abs:
.}}/OSTree]().

For tiny-containers tests, please refer to [{{\#rel2abs:
.}}/tiny-containers]().

-----

The platform image used for these tests are:

  - [Minimal Arm64
    (20190102)](https://images.apertis.org/weekly/19.03/20190102.0/arm64/minimal/apertis_19.03-minimal-arm64-uboot_20190102.0.img.gz)
  - [Minimal AMD64
    (20190102)](https://images.apertis.org/weekly/19.03/20190102.0/amd64/minimal/apertis_19.03-minimal-amd64-uefi_20190102.0.img.gz)
  - [Target AMD64
    (20190102)](https://images.apertis.org/weekly/19.03/20190102.0/amd64/target/apertis_19.03-target-amd64-uefi_20190102.0.img.gz)
  - [Base SDK AMD64
    (20190102)](https://images.apertis.org/weekly/19.03/20190102.0/amd64/basesdk/apertis_19.03-basesdk-amd64-sdk_20190102.0.vdi.gz)
  - [SDK AMD64
    (20190102)](https://images.apertis.org/weekly/19.03/20190102.0/amd64/sdk/apertis_19.03-sdk-amd64-sdk_20190102.0.vdi.gz)

| ID                                                                                                         | Description                                                                                                                                                                                                                                                                                                | Type           | Minimal Arm | Minimal SabreLite | Minimal Arm64 | Minimal AMD64 | Target Arm | Target AMD64 | Base SDK AMD64 | SDK AMD64  | Tested By | Notes                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| ---------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------- | ----------- | ----------------- | ------------- | ------------- | ---------- | ------------ | -------------- | ---------- | --------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Sanity**                                                                                                 |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [sanity-check](https://qa.apertis.org/sanity-check.html)                                                   | Check that the Apertis system basically works. (manual)                                                                                                                                                                                                                                                    | Not Integrated | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | bgcolor= | | bgcolor= |   | bgcolor= |     | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [sanity-check](https://qa.apertis.org/sanity-check.html)                                                   | Check that the Apertis system basically works. (automated)                                                                                                                                                                                                                                                 | Integrated     | bgcolor= |  | PASSED            | bgcolor= |    | PASSED        | PASSED     | PASSED       | bgcolor= |     | PASSED     | andrewsh  | [1](https://lava.collabora.co.uk/scheduler/job/1411283) [2](https://lava.collabora.co.uk/scheduler/job/1411426) [3](https://lava.collabora.co.uk/scheduler/job/1411427) [4](https://lava.collabora.co.uk/scheduler/job/1411428) [5](https://lava.collabora.co.uk/scheduler/job/1411429) [6](https://lava.collabora.co.uk/scheduler/job/1411430) [7](https://lava.collabora.co.uk/scheduler/job/1411431) [8](https://lava.collabora.co.uk/scheduler/job/1411296) [9](https://lava.collabora.co.uk/scheduler/job/1411297) [10](https://lava.collabora.co.uk/scheduler/job/1411298) [11](https://lava.collabora.co.uk/scheduler/job/1411299) [12](https://lava.collabora.co.uk/scheduler/job/1411416) [13](https://lava.collabora.co.uk/scheduler/job/1411417) [14](https://lava.collabora.co.uk/scheduler/job/1411418) [15](https://lava.collabora.co.uk/scheduler/job/1411419) [16](https://lava.collabora.co.uk/scheduler/job/1411288) |
| **Booting**                                                                                                |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [image-bootable](https://qa.apertis.org/image-bootable.html)                                               | Test whether the image is bootable.                                                                                                                                                                                                                                                                        | Not Integrated | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | bgcolor= | | bgcolor= |   | bgcolor= |     | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [image-gui-start](https://qa.apertis.org/image-gui-start.html)                                             | Test whether the image starts a graphical environment.                                                                                                                                                                                                                                                     | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= |     | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| **HW Acceleration**                                                                                        |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [x-hw-accelerated](https://qa.apertis.org/x-hw-accelerated.html)                                           | Test whether the correct GLES2 render is used.                                                                                                                                                                                                                                                             | Not Integrated | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          |                |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| **GStreamer**                                                                                              |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [gstreamer1.0-decode](https://qa.apertis.org/gstreamer1-0-decode.html)                                     | Test video and audio decoders and demuxers on a list of media.                                                                                                                                                                                                                                             | Integrated     | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | PASSED     | PASSED       | bgcolor= |     | PASSED     | andrewsh  | [17](https://lava.collabora.co.uk/scheduler/job/1411427) [18](https://lava.collabora.co.uk/scheduler/job/1411297) [19](https://lava.collabora.co.uk/scheduler/job/1411417)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| **Multitouch**                                                                                             |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [webkit2gtk-mt-touch-events](https://qa.apertis.org/webkit2gtk-mt-touch-events.html)                       | Test implementation of W3C touch events API in WebKit2GTK.                                                                                                                                                                                                                                                 | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= |     | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| **WebKit**                                                                                                 |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [webkit2gtk-actor-tiles](https://qa.apertis.org/webkit2gtk-actor-tiles.html)                               | Test implementation of actor-based tiled backing store in webkit2GTK.                                                                                                                                                                                                                                      | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= |     | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [webkit2gtk-event-handling-redesign](https://qa.apertis.org/webkit2gtk-event-handling-redesign.html)       | Test WebKit2Gtk ability to scroll by touch with inertial behaviour after the touch ended.                                                                                                                                                                                                                  | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= |     | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| **Webkit2GTK-AC**                                                                                          |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [webkit2gtk-ac-3d-rendering](https://qa.apertis.org/webkit2gtk-ac-3d-rendering.html)                       | Test that 3D transforms are applied correctly.                                                                                                                                                                                                                                                             | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= |     | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [webkit2gtk-ac-animations](https://qa.apertis.org/webkit2gtk-ac-animations.html)                           | Test that Webkit2GTK actors created for representing layers animate properly.                                                                                                                                                                                                                              | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= |     | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [webkit2gtk-ac-scrolling](https://qa.apertis.org/webkit2gtk-ac-scrolling.html)                             | Test that actors created for representing layers scroll properly.                                                                                                                                                                                                                                          | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= |     | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| **Gettext**                                                                                                |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [gettext-i18n](https://qa.apertis.org/gettext-i18n.html)                                                   | Check that gettext internationalization works.                                                                                                                                                                                                                                                             | Integrated     | N/A         | N/A               | N/A           | N/A           | PASSED     | PASSED       | bgcolor= |     | PASSED     | andrewsh  | [20](https://lava.collabora.co.uk/scheduler/job/1411427) [21](https://lava.collabora.co.uk/scheduler/job/1411297) [22](https://lava.collabora.co.uk/scheduler/job/1411417)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| **Meta Data Management**                                                                                   |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [gupnp-services](https://qa.apertis.org/gupnp-services.html)                                               | Run a few tests related to service browsing, introspection, etc.                                                                                                                                                                                                                                           | Integrated     | bgcolor= |  | PASSED            | bgcolor= |    | PASSED        | PASSED     | PASSED       | bgcolor= |     | PASSED     | andrewsh  | [23](https://lava.collabora.co.uk/scheduler/job/1411283) [24](https://lava.collabora.co.uk/scheduler/job/1411427) [25](https://lava.collabora.co.uk/scheduler/job/1411297) [26](https://lava.collabora.co.uk/scheduler/job/1411417) [27](https://lava.collabora.co.uk/scheduler/job/1411288)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| [libsoup-unit](https://qa.apertis.org/libsoup-unit.html)                                                   | Run the unit tests that ship with the library against the running system.                                                                                                                                                                                                                                  | Integrated     | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | PASSED     | PASSED       | bgcolor= |     | PASSED     | andrewsh  | [28](https://lava.collabora.co.uk/scheduler/job/1411427) [29](https://lava.collabora.co.uk/scheduler/job/1411297) [30](https://lava.collabora.co.uk/scheduler/job/1411417)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| [tracker-indexing-local-storage](https://qa.apertis.org/tracker-indexing-local-storage.html)               | Check tracker indexing of local storage and journal behaviour.                                                                                                                                                                                                                                             | Integrated     | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | FAILED     | FAILED       | bgcolor= |     | FAILED     | andrewsh  | [31](https://lava.collabora.co.uk/scheduler/job/1411427) [32](https://lava.collabora.co.uk/scheduler/job/1411297) [33](https://lava.collabora.co.uk/scheduler/job/1411417)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| [tracker-indexing-mass-storage](https://qa.apertis.org/tracker-indexing-mass-storage.html)                 | Check tracker indexes mass storage devices on insertion.                                                                                                                                                                                                                                                   | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= |     | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [tumbler-thumbnailing](https://qa.apertis.org/tumbler-thumbnailing.html)                                   | Check that all thumbnailing features of tumbler are working properly (large, small, videos, documents, images).                                                                                                                                                                                            | Integrated     | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | bgcolor= |     | PASSED     | andrewsh  | [34](https://lava.collabora.co.uk/scheduler/job/1411431)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| **Grilo**                                                                                                  |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [grilo](https://qa.apertis.org/grilo.html)                                                                 | Check grilo metadata notifications, and filesystem browsing.                                                                                                                                                                                                                                               | Integrated     | bgcolor= |  | PASSED            | bgcolor= |    | PASSED        | PASSED     | PASSED       | bgcolor= |     | PASSED     | andrewsh  | [35](https://lava.collabora.co.uk/scheduler/job/1411283) [36](https://lava.collabora.co.uk/scheduler/job/1411427) [37](https://lava.collabora.co.uk/scheduler/job/1411297) [38](https://lava.collabora.co.uk/scheduler/job/1411417) [39](https://lava.collabora.co.uk/scheduler/job/1411288)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| **D-Bus**                                                                                                  |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [check-dbus-services](https://qa.apertis.org/check-dbus-services.html)                                     | Check that all activatable D-Bus services use systemd, and that they can be started.                                                                                                                                                                                                                       | Integrated     | bgcolor= |  | PARTIAL           | bgcolor= |    | PARTIAL       | PARTIAL    | PARTIAL      | bgcolor= |     | PARTIAL    | andrewsh  | [40](https://lava.collabora.co.uk/scheduler/job/1411283) [41](https://lava.collabora.co.uk/scheduler/job/1411427) [42](https://lava.collabora.co.uk/scheduler/job/1411297) [43](https://lava.collabora.co.uk/scheduler/job/1411417) [44](https://lava.collabora.co.uk/scheduler/job/1411288)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| [dbus-dos-reply-time](https://qa.apertis.org/dbus-dos-reply-time.html)                                     | Check the reply time of a few D-Bus method calls while dbus-daemon is loaded by D-Bus traffic.                                                                                                                                                                                                             | Integrated     | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | PASSED     | PASSED       | bgcolor= |     | PASSED     | andrewsh  | [45](https://lava.collabora.co.uk/scheduler/job/1411427) [46](https://lava.collabora.co.uk/scheduler/job/1411297) [47](https://lava.collabora.co.uk/scheduler/job/1411417)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| **Library modules**                                                                                        |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [canterbury](https://qa.apertis.org/canterbury.html)                                                       | Run the automated test for the library: canterbury                                                                                                                                                                                                                                                         | Integrated     | N/A         | N/A               | N/A           | N/A           | PARTIAL    | PARTIAL      | N/A            | PARTIAL    | andrewsh  | [48](https://lava.collabora.co.uk/scheduler/job/1411429) [49](https://lava.collabora.co.uk/scheduler/job/1411299) [50](https://lava.collabora.co.uk/scheduler/job/1411419)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| [didcot](https://qa.apertis.org/didcot.html)                                                               | Run the automated test for the library: didcot                                                                                                                                                                                                                                                             | Integrated     | N/A         | N/A               | N/A           | N/A           | PASSED     | PASSED       | N/A            | PASSED     | andrewsh  | [51](https://lava.collabora.co.uk/scheduler/job/1411429) [52](https://lava.collabora.co.uk/scheduler/job/1411299) [53](https://lava.collabora.co.uk/scheduler/job/1411419)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| [frome](https://qa.apertis.org/frome.html)                                                                 | Run the automated test for the library: frome                                                                                                                                                                                                                                                              | Integrated     | N/A         | N/A               | N/A           | N/A           | FAILED     | FAILED       | N/A            | FAILED     | andrewsh  | [54](https://lava.collabora.co.uk/scheduler/job/1411429) [55](https://lava.collabora.co.uk/scheduler/job/1411299) [56](https://lava.collabora.co.uk/scheduler/job/1411419)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| [newport](https://qa.apertis.org/newport.html)                                                             | Run the automated test for the library: newport                                                                                                                                                                                                                                                            | Integrated     | N/A         | N/A               | N/A           | N/A           | PASSED     | FAILED       | N/A            | PASSED     | andrewsh  | [57](https://lava.collabora.co.uk/scheduler/job/1411429) [58](https://lava.collabora.co.uk/scheduler/job/1411299) [59](https://lava.collabora.co.uk/scheduler/job/1411419)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| [ribchester](https://qa.apertis.org/ribchester.html)                                                       | Run the automated test for the library: ribchester                                                                                                                                                                                                                                                         | Integrated     | N/A         | N/A               | N/A           | N/A           | PARTIAL    | PARTIAL      | N/A            | PARTIAL    | andrewsh  | [60](https://lava.collabora.co.uk/scheduler/job/1411429) [61](https://lava.collabora.co.uk/scheduler/job/1411299) [62](https://lava.collabora.co.uk/scheduler/job/1411419)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| [rhosydd](https://qa.apertis.org/rhosydd.html)                                                             | Run the automated test for the library: rhosydd                                                                                                                                                                                                                                                            | Integrated     | N/A         | N/A               | N/A           | N/A           | PASSED     | PASSED       | N/A            | PASSED     | andrewsh  | [63](https://lava.collabora.co.uk/scheduler/job/1411429) [64](https://lava.collabora.co.uk/scheduler/job/1411299) [65](https://lava.collabora.co.uk/scheduler/job/1411419)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| [traprain](https://qa.apertis.org/traprain.html)                                                           | Run the automated test for the library: traprain                                                                                                                                                                                                                                                           | Integrated     | N/A         | N/A               | N/A           | N/A           | FAILED     | FAILED       | N/A            | FAILED     | andrewsh  | [66](https://lava.collabora.co.uk/scheduler/job/1411429) [67](https://lava.collabora.co.uk/scheduler/job/1411299) [68](https://lava.collabora.co.uk/scheduler/job/1411419)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| **Networking**                                                                                             |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [bluez-avrcp-volume](https://qa.apertis.org/bluez-avrcp-volume.html)                                       | Test the AVRCP volume up and down commands.                                                                                                                                                                                                                                                                | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= |     | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [bluez-phone](https://qa.apertis.org/bluez-phone.html)                                                     | Test all BlueZ features needing interaction with a phone (Pairing, OBEX, PBAP, AVRCP, A2DP, HSP, HFP, PAN).                                                                                                                                                                                                | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= |     | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [bluez-setup](https://qa.apertis.org/bluez-setup.html)                                                     | Test setup of Bluetooth stack by running basic tests using hciconfig. Check if the interface can be brought up/down, can be changed of mode and can discover devices.                                                                                                                                      | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= |     | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [connman](https://qa.apertis.org/connman.html)                                                             | Runs some automated tests using the ConnMan D-Bus API. It guarantees most of the basic features are working.                                                                                                                                                                                               | Integrated     | bgcolor= |  | PASSED            | bgcolor= |    | PASSED        | PASSED     | PASSED       | bgcolor= |     | PASSED     | andrewsh  | [69](https://lava.collabora.co.uk/scheduler/job/1411283) [70](https://lava.collabora.co.uk/scheduler/job/1411427) [71](https://lava.collabora.co.uk/scheduler/job/1411297) [72](https://lava.collabora.co.uk/scheduler/job/1411417) [73](https://lava.collabora.co.uk/scheduler/job/1411288)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| [connman-new-supplicant](https://qa.apertis.org/connman-new-supplicant.html)                               | Test the wpa_supplicant interface.                                                                                                                                                                                                                                                                        | Integrated     | bgcolor= |  | PASSED            | bgcolor= |    | PASSED        | PASSED     | PASSED       | bgcolor= |     | PASSED     | andrewsh  | [74](https://lava.collabora.co.uk/scheduler/job/1411283) [75](https://lava.collabora.co.uk/scheduler/job/1411427) [76](https://lava.collabora.co.uk/scheduler/job/1411297) [77](https://lava.collabora.co.uk/scheduler/job/1411417) [78](https://lava.collabora.co.uk/scheduler/job/1411288)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| [connman-pan-tethering](https://qa.apertis.org/connman-pan-tethering.html)                                 | Test ConnMan support for PAN connectivity.                                                                                                                                                                                                                                                                 | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= |     | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [connman-pan-network-access](https://qa.apertis.org/connman-pan-network-access.html)                       | Test ConnMan support for bluetooth PAN Network Access Profile.                                                                                                                                                                                                                                             | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= |     | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [connman-services](https://qa.apertis.org/connman-services.html)                                           | Tests ConnMan services.                                                                                                                                                                                                                                                                                    | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= |     | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [connman-usb-tethering](https://qa.apertis.org/connman-usb-tethering.html)                                 | Test ConnMan support for USB tethering (connection side).                                                                                                                                                                                                                                                  | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= |     | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [ofono-sms-receive](https://qa.apertis.org/ofono-sms-receive.html)                                         | Test receiving SMS messages with oFono.                                                                                                                                                                                                                                                                    | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= |     | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [ofono-sms-send](https://qa.apertis.org/ofono-sms-send.html)                                               | Test sending of SMS with oFono.                                                                                                                                                                                                                                                                            | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= |     | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| **Folks**                                                                                                  |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [folks-alias-persistence](https://qa.apertis.org/folks-alias-persistence.html)                             | Ensures user-set contact aliases persist.                                                                                                                                                                                                                                                                  | Integrated     | N/A         | N/A               | N/A           | N/A           | FAILED     | FAILED       | N/A            | FAILED     | andrewsh  | [79](https://lava.collabora.co.uk/scheduler/job/1411428) [80](https://lava.collabora.co.uk/scheduler/job/1411298) [81](https://lava.collabora.co.uk/scheduler/job/1411418)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| [folks-eds-compatibility](https://qa.apertis.org/folks-eds-compatibility.html)                             | Checks that contacts created within Evolution Data Server (as will happen when phone contacts get synchronized to an Apertis machine) show up in other contact-based programs.                                                                                                                             | Integrated     | N/A         | N/A               | N/A           | N/A           | PASSED     | PASSED       | N/A            | PASSED     | andrewsh  | [82](https://lava.collabora.co.uk/scheduler/job/1411428) [83](https://lava.collabora.co.uk/scheduler/job/1411298) [84](https://lava.collabora.co.uk/scheduler/job/1411418)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| [folks-metacontacts-linking](https://qa.apertis.org/folks-metacontacts-linking.html)                       | Ensures linking meta-contacts works properly.                                                                                                                                                                                                                                                              | Integrated     | N/A         | N/A               | N/A           | N/A           | FAILED     | FAILED       | N/A            | FAILED     | andrewsh  | [85](https://lava.collabora.co.uk/scheduler/job/1411428) [86](https://lava.collabora.co.uk/scheduler/job/1411298) [87](https://lava.collabora.co.uk/scheduler/job/1411418)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| [folks-metacontacts-unlinking](https://qa.apertis.org/folks-metacontacts-unlinking.html)                   | Ensures unlinking meta-contacts works properly.                                                                                                                                                                                                                                                            | Integrated     | N/A         | N/A               | N/A           | N/A           | FAILED     | FAILED       | N/A            | FAILED     | andrewsh  | [88](https://lava.collabora.co.uk/scheduler/job/1411428) [89](https://lava.collabora.co.uk/scheduler/job/1411298) [90](https://lava.collabora.co.uk/scheduler/job/1411418)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| **SDK Development**                                                                                        |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [sdk-ide-build-run-program](https://qa.apertis.org/sdk-ide-build-run-program.html)                         | Creates a simple test project and confirms that compiling and executing work.                                                                                                                                                                                                                              | Not Integrated | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | N/A            | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| **Apparmor Basic**                                                                                         |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [apparmor-basic-profiles](https://qa.apertis.org/apparmor-basic-profiles.html)                             | Test basic apparmor profiles. Only parsing and syntax of profiles are tested for now.                                                                                                                                                                                                                      | Integrated     | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | PASSED     | PASSED       | bgcolor= |     | PASSED     | andrewsh  | [91](https://lava.collabora.co.uk/scheduler/job/1411426) [92](https://lava.collabora.co.uk/scheduler/job/1411296) [93](https://lava.collabora.co.uk/scheduler/job/1411416)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| **CGroups**                                                                                                |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [cgroups-resource-control](https://qa.apertis.org/cgroups-resource-control.html)                           | Run cgroup resource control tests                                                                                                                                                                                                                                                                          | Integrated     | N/A         | N/A               | N/A           | N/A           | PARTIAL    | PARTIAL      | bgcolor= |     | PASSED     | andrewsh  | [94](https://lava.collabora.co.uk/scheduler/job/1411427) [95](https://lava.collabora.co.uk/scheduler/job/1411297) [96](https://lava.collabora.co.uk/scheduler/job/1411417)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| **SDK**                                                                                                    |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [ade-command](https://qa.apertis.org/ade-commands.html)                                                    | Checks basic test coverage of the ade tool. Tests ade command, sub-command and options and arguments.                                                                                                                                                                                                      | Integrated     | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | bgcolor= |     | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [sdk-ade-remote-debugging](https://qa.apertis.org/sdk-ade-remote-debugging.html)                           | Checks ade debug remote debugging functionality by connecting to a remote target running gdbserver                                                                                                                                                                                                         | Manual         | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | bgcolor= |     | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [sdk-performance-tools-gprof](https://qa.apertis.org/sdk-performance-tools-gprof.html)                     | Checks basic gprof functionality by ensuring a CPU-intensive program shows up in its log as consuming the vast majority of the CPU cycles.                                                                                                                                                                 | Integrated     | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | bgcolor= |     | PASSED     | andrewsh  | [97](https://lava.collabora.co.uk/scheduler/job/1411431)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| [sdk-performance-tools-sysprof](https://qa.apertis.org/sdk-performance-tools-sysprof.html)                 | Checks basic sysprof functionality by ensuring a CPU-intensive program shows up in its log as consuming the vast majority of the CPU cycles.                                                                                                                                                               | Integrated     | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | bgcolor= |     | PASSED     | andrewsh  | [98](https://lava.collabora.co.uk/scheduler/job/1411431)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| [sdk-debug-tools-gdb](https://qa.apertis.org/sdk-debug-tools-gdb.html)                                     | Checks basic gdb functionality by stopping a program at a set point and checking its backtrace matches expectations.                                                                                                                                                                                       | Integrated     | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | bgcolor= |     | PASSED     | andrewsh  | [99](https://lava.collabora.co.uk/scheduler/job/1411431)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| [sdk-debug-tools-strace](https://qa.apertis.org/sdk-debug-tools-strace.html)                               | Checks basic strace functionality by checking its output when run on a simple command line program.                                                                                                                                                                                                        | Integrated     | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | bgcolor= |     | PASSED     | andrewsh  | [100](https://lava.collabora.co.uk/scheduler/job/1411431)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| [sdk-debug-tools-valgrind](https://qa.apertis.org/sdk-debug-tools-valgrind.html)                           | Checks basic valgrind functionality by running a program with and without memory leaks, ensuring expected results from valgrind.                                                                                                                                                                           | Integrated     | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | bgcolor= |     | PASSED     | andrewsh  | [101](https://lava.collabora.co.uk/scheduler/job/1411431)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| [sdk-dbus-tools-bustle](https://qa.apertis.org/sdk-dbus-tools-bustle.html)                                 | Test that bustle-dbus-monitor shows services on the session bus.                                                                                                                                                                                                                                           | Not Integrated | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | bgcolor= |     | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [sdk-dbus-tools-d-feet](https://qa.apertis.org/sdk-dbus-tools-d-feet.html)                                 | Test that D-Feet both shows services on the session bus and that new services appear automatically.                                                                                                                                                                                                        | Not Integrated | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | bgcolor= |     | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [sdk-code-analysis-tools-gcov](https://qa.apertis.org/sdk-code-analysis-tools-gcov.html)                   | Checks basic gcov functionality by running a sample program a few different ways and ensuring that a sufficient portion of its code paths are executed                                                                                                                                                     | Integrated     | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | bgcolor= |     | PASSED     | andrewsh  | [102](https://lava.collabora.co.uk/scheduler/job/1411431)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| [sdk-code-analysis-tools-splint](https://qa.apertis.org/sdk-code-analysis-tools-splint.html)               | Checks basic splint functionality by checking its output when run on a simple source file.                                                                                                                                                                                                                 | Integrated     | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | bgcolor= |     | PASSED     | andrewsh  | [103](https://lava.collabora.co.uk/scheduler/job/1411431)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| [sdk-vb-fullscreen](https://qa.apertis.org/sdk-vb-fullscreen.html)                                         | Tests that the SDK VM can be fullscreened in VirtualBox                                                                                                                                                                                                                                                    | Not Integrated | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | bgcolor= |     | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [sdk-cross-crosscompilation](https://qa.apertis.org/sdk-cross-compilation.html)                            | Tests that packages can be cross-compiled using a devroot                                                                                                                                                                                                                                                  | Integrated     | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | bgcolor= |     | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| **Eclipse**                                                                                                |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [eclipse-sysroot-management](https://qa.apertis.org/eclipse-sysroot-management.html)                       | Test sysroot management and update within Eclipse. It will go through configuring an existing sysroot in Eclipse, and then updating it from the web with the latest version.                                                                                                                               | Not Integrated | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | N/A            | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [eclipse-plugins-install-target](https://qa.apertis.org/eclipse-plugins-install-target.html)               | Test copying files to the remote device from within Eclipse. It will create a dummy project and then create a configuration to copy the binary file to a remote device and debug it remotely using Eclipse.                                                                                                | Not Integrated | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | N/A            | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [eclipse-remote-debugging](https://qa.apertis.org/eclipse-plugins-remote-debugging.html)                   | Test remote debugging within Eclipse. It will create a dummy project and then create a configuration to copy the binary file to a remote device and debug it remotely using Eclipse.                                                                                                                       | Not Integrated | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | N/A            | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| **Contacts**                                                                                               |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [evolution-sync-bluetooth](https://qa.apertis.org/evolution-sync-bluetooth.html)                           | Synchronizing Bluetooth-paired phone contacts to Evolution.                                                                                                                                                                                                                                                | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | N/A            | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [folks-metacontacts-antilinking](https://qa.apertis.org/folks-metacontacts-antilinking.html)               | Ensures anti-linking meta-contacts works properly.                                                                                                                                                                                                                                                         | Integrated     | N/A         | N/A               | N/A           | N/A           | FAILED     | FAILED       | N/A            | FAILED     | andrewsh  | [104](https://lava.collabora.co.uk/scheduler/job/1411428) [105](https://lava.collabora.co.uk/scheduler/job/1411298) [106](https://lava.collabora.co.uk/scheduler/job/1411418)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| **Connectivity**                                                                                           |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [bluez-hfp](https://qa.apertis.org/bluez-hfp.html)                                                         | Test Hands Free Profile (HFP) BlueZ feature.                                                                                                                                                                                                                                                               | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= |     | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [rfkill-toggle](https://qa.apertis.org/rfkill-toggle.html)                                                 | Test that rfkill is functional.                                                                                                                                                                                                                                                                            | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | N/A            | N/A        |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [telepathy-ring](https://qa.apertis.org/telepathy-ring.html)                                               | Support making and receiving phone calls in Telepathy manually, with a bluetooth-paired phone.                                                                                                                                                                                                             | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | N/A            | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [telepathy-ring-automated](https://qa.apertis.org/telepathy-ring-automated.html)                           | Support making and receiving phone calls in Telepathy.                                                                                                                                                                                                                                                     | Integrated     | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | N/A            | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| **Contacts**                                                                                               |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [folks-ofono-backend](https://qa.apertis.org/folks-ofono-backend.html)                                     | Reading contacts from 3G modem SIM card.                                                                                                                                                                                                                                                                   | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | N/A            | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [folks-search-contacts](https://qa.apertis.org/folks-search-contacts.html)                                 | Ensures that Folks can correctly search contacts.                                                                                                                                                                                                                                                          | Integrated     | N/A         | N/A               | N/A           | N/A           | FAILED     | FAILED       | N/A            | FAILED     | andrewsh  | [107](https://lava.collabora.co.uk/scheduler/job/1411428) [108](https://lava.collabora.co.uk/scheduler/job/1411298) [109](https://lava.collabora.co.uk/scheduler/job/1411418)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [abstract-contact-addressbook-creation](https://qa.apertis.org/abstract-contact-addressbook-creation.html) | A way to be able to create abstract addressbook is needed in SyncEvolution, so that separate addressbooks can be created for each paired device.                                                                                                                                                           | Integrated     | N/A         | N/A               | N/A           | N/A           | PASSED     | PASSED       | bgcolor= |     | PASSED     | andrewsh  | [110](https://lava.collabora.co.uk/scheduler/job/1411428) [111](https://lava.collabora.co.uk/scheduler/job/1411298) [112](https://lava.collabora.co.uk/scheduler/job/1411418)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [folks-sync-only](https://qa.apertis.org/folks-sync-only.html)                                             | Test SYNCHRONIZE_ONLY flag for persona stores in Folks.                                                                                                                                                                                                                                                   | Integrated     | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | N/A            | PASSED     | andrewsh  | [113](https://lava.collabora.co.uk/scheduler/job/1411431)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| [folks-extended-info](https://qa.apertis.org/folks-extended-info.html)                                     | Support for storing arbitrary data in contacts in Folks.                                                                                                                                                                                                                                                   | Integrated     | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= |     | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| **Multimedia**                                                                                             |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [webkit2gtk-gstreamer1.0](https://qa.apertis.org/webkit2gtk-gstreamer1.0.html)                             | Tests html5 video playback with GStreamer 1.0 in WebKit2GTK                                                                                                                                                                                                                                                | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= |     | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [traffic-control-basic](https://qa.apertis.org/traffic-control-basic.html)                                 | Test basic traffic control support. This test does not use tcmmd but it could catch missing support in the kernel or misbehaving traffic control.                                                                                                                                                          | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= |     | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [video-animation-on-boot](https://qa.apertis.org/video-animation-on-boot.html)                             | Test whether Plymouth is able to display a graphical theme.                                                                                                                                                                                                                                                | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= |     | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| **Robustness**                                                                                             |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [glib-gio-fs](https://qa.apertis.org/glib-gio-fs.html)                                                     | Run the GLib gio tests that do I/O on the local filesystem.                                                                                                                                                                                                                                                | Integrated     | bgcolor= |  | PASSED            | bgcolor= |    | PASSED        | PASSED     | PASSED       | bgcolor= |     | PASSED     | andrewsh  | [114](https://lava.collabora.co.uk/scheduler/job/1411283) [115](https://lava.collabora.co.uk/scheduler/job/1411427) [116](https://lava.collabora.co.uk/scheduler/job/1411297) [117](https://lava.collabora.co.uk/scheduler/job/1411417) [118](https://lava.collabora.co.uk/scheduler/job/1411288)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| **Security**                                                                                               |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [apparmor](https://qa.apertis.org/apparmor.html)                                                           | Functional testing for AppArmor functionalities.                                                                                                                                                                                                                                                           | Integrated     | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | PARTIAL    | PARTIAL      | bgcolor= |     | PARTIAL    | andrewsh  | [119](https://lava.collabora.co.uk/scheduler/job/1411426) [120](https://lava.collabora.co.uk/scheduler/job/1411296) [121](https://lava.collabora.co.uk/scheduler/job/1411416)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [apparmor-chaiwala-system](https://qa.apertis.org/apparmor-chaiwala-system.html)                           | Test that AppArmor's system wide rules works according to Apertis security goals.                                                                                                                                                                                                                          | Integrated     | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | PASSED     | PASSED       | bgcolor= |     | PASSED     | andrewsh  | [122](https://lava.collabora.co.uk/scheduler/job/1411426) [123](https://lava.collabora.co.uk/scheduler/job/1411296) [124](https://lava.collabora.co.uk/scheduler/job/1411416)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [apparmor-functional-demo](https://qa.apertis.org/apparmor-functional-demo.html)                           | Show some main AppArmor functionalities, like transitions, net access or resource permissions, under the form of tests.                                                                                                                                                                                    | Integrated     | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | PASSED     | PASSED       | bgcolor= |     | PASSED     | andrewsh  | [125](https://lava.collabora.co.uk/scheduler/job/1411426) [126](https://lava.collabora.co.uk/scheduler/job/1411296) [127](https://lava.collabora.co.uk/scheduler/job/1411416)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [apparmor-utils](https://qa.apertis.org/apparmor-utils.html)                                               | Test apparmor_parser and other tools in apparmor package can be executed.                                                                                                                                                                                                                                 | Integrated     | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | PASSED     | PASSED       | bgcolor= |     | PASSED     | andrewsh  | [128](https://lava.collabora.co.uk/scheduler/job/1411426) [129](https://lava.collabora.co.uk/scheduler/job/1411296) [130](https://lava.collabora.co.uk/scheduler/job/1411416)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [apparmor-session-lockdown-no-deny](https://qa.apertis.org/apparmor-session-lockdown-no-deny.html)         | Test that the session lockdown profile is not blocking more than it should                                                                                                                                                                                                                                 | Integrated     | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | bgcolor= | | bgcolor= |   | bgcolor= |     | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [apparmor-gstreamer1.0](https://qa.apertis.org/apparmor-gstreamer1-0.html)                                 | Test that AppArmor profiles provided in GStreamer 1.0 works without Auditd complaining                                                                                                                                                                                                                     | Integrated     | N/A         | N/A               | N/A           | N/A           | PASSED     | PASSED       | bgcolor= |     | PASSED     | andrewsh  | [131](https://lava.collabora.co.uk/scheduler/job/1411426) [132](https://lava.collabora.co.uk/scheduler/job/1411296) [133](https://lava.collabora.co.uk/scheduler/job/1411416)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [apparmor-pulseaudio](https://qa.apertis.org/apparmor-pulseaudio.html)                                     | Test that AppArmor profiles provided in PulseAudio 2.1 work without Auditd complaining.                                                                                                                                                                                                                    | Integrated     | N/A         | N/A               | N/A           | N/A           | PASSED     | PASSED       | bgcolor= |     | PASSED     | andrewsh  | [134](https://lava.collabora.co.uk/scheduler/job/1411426) [135](https://lava.collabora.co.uk/scheduler/job/1411296) [136](https://lava.collabora.co.uk/scheduler/job/1411416)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [apparmor-bluez](https://qa.apertis.org/apparmor-bluez.html)                                               | Test AppArmor profile for support for SPP profile (bluez-spp) and core functionalities (bluez-core).                                                                                                                                                                                                       | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | N/A            | N/A        |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [apparmor-bluez-avrcp-volume](https://qa.apertis.org/apparmor-bluez-avrcp-volume.html)                     | Test AppArmor profile for Bluez AVRCP volume up and down commands.                                                                                                                                                                                                                                         | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | N/A            | N/A        |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [apparmor-bluez-setup](https://qa.apertis.org/apparmor-bluez-setup.html)                                   | Test AppArmor profiles for setting up of Bluetooth stack by running basic tests using hciconfig. Check if the interface can be brought up/down, can be changed of mode and can discover devices.                                                                                                           | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | N/A            | N/A        |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [apparmor-folks](https://qa.apertis.org/apparmor-folks.html)                                               | Test that AppArmor profiles provided in Folks package work without unexpected auditd log entries.                                                                                                                                                                                                          | Integrated     | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | bgcolor= | | bgcolor= |   | N/A            | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [apparmor-geoclue](https://qa.apertis.org/apparmor-geoclue.html)                                           | Test that geoclue apparmor profiles are working properly                                                                                                                                                                                                                                                   | Integrated     | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | PASSED     | PASSED       | bgcolor= |     | PASSED     | andrewsh  | [137](https://lava.collabora.co.uk/scheduler/job/1411426) [138](https://lava.collabora.co.uk/scheduler/job/1411296) [139](https://lava.collabora.co.uk/scheduler/job/1411416)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [apparmor-ofono](https://qa.apertis.org/apparmor-ofono.html)                                               | Test that AppArmor profiles provided in ofono package work without unexpected auditd log entries.                                                                                                                                                                                                          | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | N/A            | N/A        |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [apparmor-tracker](https://qa.apertis.org/apparmor-tracker.html)                                           | Tests that the tracker abstraction and tracker profiles don't cause false negatives and that it does not allow arbitrary reading of files in the home directory.                                                                                                                                           | Integrated     | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | FAILED     | FAILED       | bgcolor= |     | PARTIAL    | andrewsh  | [140](https://lava.collabora.co.uk/scheduler/job/1411426) [141](https://lava.collabora.co.uk/scheduler/job/1411296) [142](https://lava.collabora.co.uk/scheduler/job/1411416)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [apparmor-tumbler](https://qa.apertis.org/apparmor-tumbler.html)                                           | Tests that the tumbler AppArmor profile doesn't cause false negatives and that it does not allow arbitrary reading of files in the home directory.                                                                                                                                                         | Integrated     | N/A         | N/A               | N/A           | N/A           | PASSED     | PASSED       | bgcolor= |     | PASSED     | andrewsh  | [143](https://lava.collabora.co.uk/scheduler/job/1411426) [144](https://lava.collabora.co.uk/scheduler/job/1411296) [145](https://lava.collabora.co.uk/scheduler/job/1411416)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [iptables-basic](https://qa.apertis.org/iptables-basic.html)                                               | Test the firewall automatically.                                                                                                                                                                                                                                                                           | Integrated     | bgcolor= |  | PASSED            | bgcolor= |    | PASSED        | PASSED     | PASSED       | bgcolor= |     | PASSED     | andrewsh  | [146](https://lava.collabora.co.uk/scheduler/job/1411283) [147](https://lava.collabora.co.uk/scheduler/job/1411427) [148](https://lava.collabora.co.uk/scheduler/job/1411297) [149](https://lava.collabora.co.uk/scheduler/job/1411417) [150](https://lava.collabora.co.uk/scheduler/job/1411288)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| [iptables-nmap](https://qa.apertis.org/iptables-nmap.html)                                                 | Test the firewall using nmap from another computer.                                                                                                                                                                                                                                                        | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= |     | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [apparmor-dbus](https://qa.apertis.org/apparmor-dbus.html)                                                 | Functional testing for AppArmor D-Bus mediation.                                                                                                                                                                                                                                                           | Integrated     | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | PASSED     | PASSED       | bgcolor= |     | PASSED     | andrewsh  | [151](https://lava.collabora.co.uk/scheduler/job/1411426) [152](https://lava.collabora.co.uk/scheduler/job/1411296) [153](https://lava.collabora.co.uk/scheduler/job/1411416)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| **System Update**                                                                                          |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [boot-performance-automated](https://qa.apertis.org/boot-performance-automated.html)                       | Test boot performance.                                                                                                                                                                                                                                                                                     | Integrated     | bgcolor= |  | PASSED            | bgcolor= |    | PASSED        | PASSED     | PASSED       | bgcolor= |     | PASSED     | andrewsh  | [154](https://lava.collabora.co.uk/scheduler/job/1411283) [155](https://lava.collabora.co.uk/scheduler/job/1411427) [156](https://lava.collabora.co.uk/scheduler/job/1411297) [157](https://lava.collabora.co.uk/scheduler/job/1411417) [158](https://lava.collabora.co.uk/scheduler/job/1411288)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| **Webkit**                                                                                                 |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [webkit2gtk-aligned-scroll](https://qa.apertis.org/webkit2gtk-aligned-scroll.html)                         | Test that scrolling is pinned in a given direction when started mostly towards it.                                                                                                                                                                                                                         | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | N/A            | N/A        |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [webkit2gtk-lazy-click](https://qa.apertis.org/webkit2gtk-lazy-click.html)                                 | Test touch adjustment (lazy click) support in WebKit2GTK                                                                                                                                                                                                                                                   | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= |     | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [webkit2gtk-drag-and-drop](https://qa.apertis.org/webkit2gtk-drag-and-drop.html)                           | Test HTML5 drag-and-drop support in WebKit2GTK                                                                                                                                                                                                                                                             | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= |     | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [webkit2gtk-contextual-zoom](https://qa.apertis.org/webkit2gtk-contextual-zoom.html)                       | This test case is about zooming parts of a web page to make it easier to read on devices with limited screen area. The scope of the test is the zooming functionality that takes into account the content in the clicked area, other functionality that belongs to a real browser isn't to be tested here. | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= |     | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
|                                                                                                            |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
|                                                                                                            |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
|                                                                                                            | PASSED - All tests passed.                                                                                                                                                                                                                                                                                 |                |             |                   |               |               |            |              |                |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
|                                                                                                            | PARTIAL - Tests mostly passed, with some minor problems.                                                                                                                                                                                                                                                   |                |             |                   |               |               |            |              |                |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
|                                                                                                            | FAILED - One or more tests failed.                                                                                                                                                                                                                                                                         |                |             |                   |               |               |            |              |                |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
|                                                                                                            | NOT TESTED - Test not run due to some issue, like WIP, Disabled, lacking proper hardware.                                                                                                                                                                                                                  |                |             |                   |               |               |            |              |                |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
|                                                                                                            |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
|                                                                                                            |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
|                                                                                                            | CRITICAL test case - release blocker                                                                                                                                                                                                                                                                       |                |             |                   |               |               |            |              |                |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
|                                                                                                            | HIGH priority test case - must be tested every week                                                                                                                                                                                                                                                        |                |             |                   |               |               |            |              |                |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
|                                                                                                            | MEDIUM priority test case - must be tested at least every other week                                                                                                                                                                                                                                       |                |             |                   |               |               |            |              |                |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
|                                                                                                            | LOW priority test case - test when possible                                                                                                                                                                                                                                                                |                |             |                   |               |               |            |              |                |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
|                                                                                                            |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |

[Category:QA/Test_report]( {{< ref "/category_qa/test_report.md" >}} )
[Category:QA/Test_report/{{\#rel2abs:
../../.}}]()