+++
fragment = "content"
date = "2019-01-10"
weight = 100

title = "19.03 TestReports 20190102 OSTree"
+++

Testing results considerations:

1.  These tests use OSTree images.
2.  Manual test cases were executed on target Arm, target AMD64 and SDK
    AMD64 images when applicable.
3.  All automated test cases already integrated into LAVA system were
    executed on the following images: target Arm, target AMD64.
4.  Failures and partial failures were filed as bugs in Phabricator for
    further investigation and analysis.

-----

The platform image used for these tests are:

  - [Minimal Arm64
    (20190102)](https://images.apertis.org/weekly/19.03/20190102.0/arm64/minimal/apertis_ostree_19.03-minimal-arm64-uboot_20190102.0.img.gz)
  - [Minimal AMD64
    (20190102)](https://images.apertis.org/weekly/19.03/20190102.0/amd64/minimal/apertis_ostree_19.03-minimal-amd64-uefi_20190102.0.img.gz)
  - [Target AMD64
    (20190102)](https://images.apertis.org/weekly/19.03/20190102.0/amd64/target/apertis_ostree_19.03-target-amd64-uefi_20190102.0.img.gz)

| ID                                                                                                         | Description                                                                                                                                                                                                                                                                                                | Type           | Minimal Arm | Minimal SabreLite | Minimal Arm64 | Minimal AMD64 | Target Arm | Target AMD64 | Tested By           | Notes                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| ---------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------- | ----------- | ----------------- | ------------- | ------------- | ---------- | ------------ | ------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Sanity**                                                                                                 |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [sanity-check](https://qa.apertis.org/sanity-check.html)                                                   | Check that the Apertis system basically works. (manual)                                                                                                                                                                                                                                                    | Not Integrated | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | bgcolor= | | bgcolor= |   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [sanity-check](https://qa.apertis.org/sanity-check.html)                                                   | Check that the Apertis system basically works. (automated)                                                                                                                                                                                                                                                 | Integrated     | PASSED      | PASSED            | bgcolor= |    | PASSED        | PASSED     | PASSED       | andrewsh            | [1](https://lava.collabora.co.uk/scheduler/job/1411284) [2](https://lava.collabora.co.uk/scheduler/job/1411293) [3](https://lava.collabora.co.uk/scheduler/job/1411300) [4](https://lava.collabora.co.uk/scheduler/job/1411301) [5](https://lava.collabora.co.uk/scheduler/job/1411302) [6](https://lava.collabora.co.uk/scheduler/job/1411420) [7](https://lava.collabora.co.uk/scheduler/job/1411421) [8](https://lava.collabora.co.uk/scheduler/job/1411422) [9](https://lava.collabora.co.uk/scheduler/job/1411289) |
| **Booting**                                                                                                |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [image-bootable](https://qa.apertis.org/image-bootable.html)                                               | Test whether the image is bootable.                                                                                                                                                                                                                                                                        | Not Integrated | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | bgcolor= | | bgcolor= |   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [image-gui-start](https://qa.apertis.org/image-gui-start.html)                                             | Test whether the image starts a graphical environment.                                                                                                                                                                                                                                                     | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| **HW Acceleration**                                                                                        |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [x-hw-accelerated](https://qa.apertis.org/x-hw-accelerated.html)                                           | Test whether the correct GLES2 render is used.                                                                                                                                                                                                                                                             | Not Integrated | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| **GStreamer**                                                                                              |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [gstreamer1.0-decode](https://qa.apertis.org/gstreamer1-0-decode.html)                                     | Test video and audio decoders and demuxers on a list of media.                                                                                                                                                                                                                                             | Integrated     | N/A         | N/A               | N/A           | N/A           | PASSED     | PASSED       | andrewsh            | [10](https://lava.collabora.co.uk/scheduler/job/1411300) [11](https://lava.collabora.co.uk/scheduler/job/1411420)                                                                                                                                                                                                                                                                                                                                                                                                       |
| **Multitouch**                                                                                             |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [webkit2gtk-mt-touch-events](https://qa.apertis.org/webkit2gtk-mt-touch-events.html)                       | Test implementation of W3C touch events API in WebKit2GTK.                                                                                                                                                                                                                                                 | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| **WebKit**                                                                                                 |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [webkit2gtk-actor-tiles](https://qa.apertis.org/webkit2gtk-actor-tiles.html)                               | Test implementation of actor-based tiled backing store in webkit2GTK.                                                                                                                                                                                                                                      | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [webkit2gtk-event-handling-redesign](https://qa.apertis.org/webkit2gtk-event-handling-redesign.html)       | Test WebKit2Gtk ability to scroll by touch with inertial behaviour after the touch ended.                                                                                                                                                                                                                  | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| **Webkit2GTK-AC**                                                                                          |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [webkit2gtk-ac-3d-rendering](https://qa.apertis.org/webkit2gtk-ac-3d-rendering.html)                       | Test that 3D transforms are applied correctly.                                                                                                                                                                                                                                                             | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [webkit2gtk-ac-animations](https://qa.apertis.org/webkit2gtk-ac-animations.html)                           | Test that Webkit2GTK actors created for representing layers animate properly.                                                                                                                                                                                                                              | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [webkit2gtk-ac-scrolling](https://qa.apertis.org/webkit2gtk-ac-scrolling.html)                             | Test that actors created for representing layers scroll properly.                                                                                                                                                                                                                                          | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| **Gettext**                                                                                                |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [gettext-i18n](https://qa.apertis.org/gettext-i18n.html)                                                   | Check that gettext internationalization works.                                                                                                                                                                                                                                                             | Integrated     | N/A         | N/A               | N/A           | N/A           | PASSED     | PASSED       | bgcolor= | andrewsh | bgcolor= | [12](https://lava.collabora.co.uk/scheduler/job/1411300) [13](https://lava.collabora.co.uk/scheduler/job/1411420)                                                                                                                                                                                                                                                                                                                                                                                            |
| **Meta Data Management**                                                                                   |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [gupnp-services](https://qa.apertis.org/gupnp-services.html)                                               | Run a few tests related to service browsing, introspection, etc.                                                                                                                                                                                                                                           | Integrated     | PASSED      | PASSED            | bgcolor= |    | PASSED        | PASSED     | PASSED       | andrewsh            | [14](https://lava.collabora.co.uk/scheduler/job/1411284) [15](https://lava.collabora.co.uk/scheduler/job/1411293) [16](https://lava.collabora.co.uk/scheduler/job/1411300) [17](https://lava.collabora.co.uk/scheduler/job/1411420) [18](https://lava.collabora.co.uk/scheduler/job/1411289)                                                                                                                                                                                                                            |
| [libsoup-unit](https://qa.apertis.org/libsoup-unit.html)                                                   | Run the unit tests that ship with the library against the running system.                                                                                                                                                                                                                                  | Integrated     | NOT TESTED  | NOT TESTED        | NOT TESTED    | NOT TESTED    | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [tracker-indexing-local-storage](https://qa.apertis.org/tracker-indexing-local-storage.html)               | Check tracker indexing of local storage and journal behaviour.                                                                                                                                                                                                                                             | Integrated     | NOT TESTED  | NOT TESTED        | NOT TESTED    | NOT TESTED    | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [tracker-indexing-mass-storage](https://qa.apertis.org/tracker-indexing-mass-storage.html)                 | Check tracker indexes mass storage devices on insertion.                                                                                                                                                                                                                                                   | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [tumbler-thumbnailing](https://qa.apertis.org/tumbler-thumbnailing.html)                                   | Check that all thumbnailing features of tumbler are working properly (large, small, videos, documents, images).                                                                                                                                                                                            | Integrated     | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| **Grilo**                                                                                                  |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [grilo](https://qa.apertis.org/grilo.html)                                                                 | Check grilo metadata notifications, and filesystem browsing.                                                                                                                                                                                                                                               | Integrated     | NOT TESTED  | NOT TESTED        | NOT TESTED    | NOT TESTED    | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| **D-Bus**                                                                                                  |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [check-dbus-services](https://qa.apertis.org/check-dbus-services.html)                                     | Check that all activatable D-Bus services use systemd, and that they can be started.                                                                                                                                                                                                                       | Integrated     | PARTIAL     | PARTIAL           | bgcolor= |    | PARTIAL       | PARTIAL    | PARTIAL      | andrewsh            | [19](https://lava.collabora.co.uk/scheduler/job/1411284) [20](https://lava.collabora.co.uk/scheduler/job/1411293) [21](https://lava.collabora.co.uk/scheduler/job/1411300) [22](https://lava.collabora.co.uk/scheduler/job/1411420) [23](https://lava.collabora.co.uk/scheduler/job/1411289)                                                                                                                                                                                                                            |
| [dbus-dos-reply-time](https://qa.apertis.org/dbus-dos-reply-time.html)                                     | Check the reply time of a few D-Bus method calls while dbus-daemon is loaded by D-Bus traffic.                                                                                                                                                                                                             | Integrated     | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | PASSED     | PASSED       | andrewsh            | [24](https://lava.collabora.co.uk/scheduler/job/1411300) [25](https://lava.collabora.co.uk/scheduler/job/1411420)                                                                                                                                                                                                                                                                                                                                                                                                       |
| **Library modules**                                                                                        |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [canterbury](https://qa.apertis.org/canterbury.html)                                                       | Run the automated test for the library: canterbury                                                                                                                                                                                                                                                         | Integrated     | N/A         | N/A               | N/A           | N/A           | PARTIAL    | PARTIAL      | andrewsh            | [26](https://lava.collabora.co.uk/scheduler/job/1411301) [27](https://lava.collabora.co.uk/scheduler/job/1411421)                                                                                                                                                                                                                                                                                                                                                                                                       |
| [didcot](https://qa.apertis.org/didcot.html)                                                               | Run the automated test for the library: didcot                                                                                                                                                                                                                                                             | Integrated     | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [frome](https://qa.apertis.org/frome.html)                                                                 | Run the automated test for the library: frome                                                                                                                                                                                                                                                              | Integrated     | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [newport](https://qa.apertis.org/newport.html)                                                             | Run the automated test for the library: newport                                                                                                                                                                                                                                                            | Integrated     | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [ribchester](https://qa.apertis.org/ribchester.html)                                                       | Run the automated test for the library: ribchester                                                                                                                                                                                                                                                         | Integrated     | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [rhosydd](https://qa.apertis.org/rhosydd.html)                                                             | Run the automated test for the library: rhosydd                                                                                                                                                                                                                                                            | Integrated     | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [traprain](https://qa.apertis.org/traprain.html)                                                           | Run the automated test for the library: traprain                                                                                                                                                                                                                                                           | Integrated     | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| **Networking**                                                                                             |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [bluez-avrcp-volume](https://qa.apertis.org/bluez-avrcp-volume.html)                                       | Test the AVRCP volume up and down commands.                                                                                                                                                                                                                                                                | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [bluez-phone](https://qa.apertis.org/bluez-phone.html)                                                     | Test all BlueZ features needing interaction with a phone (Pairing, OBEX, PBAP, AVRCP, A2DP, HSP, HFP, PAN).                                                                                                                                                                                                | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [bluez-setup](https://qa.apertis.org/bluez-setup.html)                                                     | Test setup of Bluetooth stack by running basic tests using hciconfig. Check if the interface can be brought up/down, can be changed of mode and can discover devices.                                                                                                                                      | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [connman](https://qa.apertis.org/connman.html)                                                             | Runs some automated tests using the ConnMan D-Bus API. It guarantees most of the basic features are working.                                                                                                                                                                                               | Integrated     | PASSED      | PASSED            | bgcolor= |    | PASSED        | PASSED     | PASSED       | andrewsh            | [28](https://lava.collabora.co.uk/scheduler/job/1411284) [29](https://lava.collabora.co.uk/scheduler/job/1411293) [30](https://lava.collabora.co.uk/scheduler/job/1411300) [31](https://lava.collabora.co.uk/scheduler/job/1411420) [32](https://lava.collabora.co.uk/scheduler/job/1411289)                                                                                                                                                                                                                            |
| [connman-new-supplicant](https://qa.apertis.org/connman-new-supplicant.html)                               | Test the wpa_supplicant interface.                                                                                                                                                                                                                                                                        | Integrated     | PASSED      | PASSED            | bgcolor= |    | PASSED        | PASSED     | PASSED       | andrewsh            | [33](https://lava.collabora.co.uk/scheduler/job/1411284) [34](https://lava.collabora.co.uk/scheduler/job/1411293) [35](https://lava.collabora.co.uk/scheduler/job/1411300) [36](https://lava.collabora.co.uk/scheduler/job/1411420) [37](https://lava.collabora.co.uk/scheduler/job/1411289)                                                                                                                                                                                                                            |
| [connman-pan-tethering](https://qa.apertis.org/connman-pan-tethering.html)                                 | Test ConnMan support for PAN connectivity.                                                                                                                                                                                                                                                                 | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [connman-pan-network-access](https://qa.apertis.org/connman-pan-network-access.html)                       | Test ConnMan support for bluetooth PAN Network Access Profile.                                                                                                                                                                                                                                             | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [connman-services](https://qa.apertis.org/connman-services.html)                                           | Tests ConnMan services.                                                                                                                                                                                                                                                                                    | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [connman-usb-tethering](https://qa.apertis.org/connman-usb-tethering.html)                                 | Test ConnMan support for USB tethering (connection side).                                                                                                                                                                                                                                                  | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [ofono-sms-receive](https://qa.apertis.org/ofono-sms-receive.html)                                         | Test receiving SMS messages with oFono.                                                                                                                                                                                                                                                                    | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [ofono-sms-send](https://qa.apertis.org/ofono-sms-send.html)                                               | Test sending of SMS with oFono.                                                                                                                                                                                                                                                                            | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| **Folks**                                                                                                  |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [folks-alias-persistence](https://qa.apertis.org/folks-alias-persistence.html)                             | Ensures user-set contact aliases persist.                                                                                                                                                                                                                                                                  | Integrated     | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [folks-eds-compatibility](https://qa.apertis.org/folks-eds-compatibility.html)                             | Checks that contacts created within Evolution Data Server (as will happen when phone contacts get synchronized to an Apertis machine) show up in other contact-based programs.                                                                                                                             | Integrated     | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [folks-metacontacts-linking](https://qa.apertis.org/folks-metacontacts-linking.html)                       | Ensures linking meta-contacts works properly.                                                                                                                                                                                                                                                              | Integrated     | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [folks-metacontacts-unlinking](https://qa.apertis.org/folks-metacontacts-unlinking.html)                   | Ensures unlinking meta-contacts works properly.                                                                                                                                                                                                                                                            | Integrated     | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| **SDK Development**                                                                                        |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [sdk-ide-build-run-program](https://qa.apertis.org/sdk-ide-build-run-program.html)                         | Creates a simple test project and confirms that compiling and executing work.                                                                                                                                                                                                                              | Not Integrated | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| **Apparmor Basic**                                                                                         |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [apparmor-basic-profiles](https://qa.apertis.org/apparmor-basic-profiles.html)                             | Test basic apparmor profiles. Only parsing and syntax of profiles are tested for now.                                                                                                                                                                                                                      | Integrated     | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | PASSED     | PASSED       | andrewsh            | [38](https://lava.collabora.co.uk/scheduler/job/1411302) [39](https://lava.collabora.co.uk/scheduler/job/1411422)                                                                                                                                                                                                                                                                                                                                                                                                       |
| **CGroups**                                                                                                |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [cgroups-resource-control](https://qa.apertis.org/cgroups-resource-control.html)                           | Run cgroup resource control tests                                                                                                                                                                                                                                                                          | Integrated     | N/A         | N/A               | N/A           | N/A           | PARTIAL    | PASSED       | andrewsh            | [40](https://lava.collabora.co.uk/scheduler/job/1411300) [41](https://lava.collabora.co.uk/scheduler/job/1411420)                                                                                                                                                                                                                                                                                                                                                                                                       |
| **SDK**                                                                                                    |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [sdk-performance-tools-gprof](https://qa.apertis.org/sdk-performance-tools-gprof.html)                     | Checks basic gprof functionality by ensuring a CPU-intensive program shows up in its log as consuming the vast majority of the CPU cycles.                                                                                                                                                                 | Integrated     | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [sdk-performance-tools-sysprof](https://qa.apertis.org/sdk-performance-tools-sysprof.html)                 | Checks basic sysprof functionality by ensuring a CPU-intensive program shows up in its log as consuming the vast majority of the CPU cycles.                                                                                                                                                               | Integrated     | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [sdk-debug-tools-gdb](https://qa.apertis.org/sdk-debug-tools-gdb.html)                                     | Checks basic gdb functionality by stopping a program at a set point and checking its backtrace matches expectations.                                                                                                                                                                                       | Integrated     | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [sdk-debug-tools-strace](https://qa.apertis.org/sdk-debug-tools-strace.html)                               | Checks basic strace functionality by checking its output when run on a simple command line program.                                                                                                                                                                                                        | Integrated     | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [sdk-debug-tools-valgrind](https://qa.apertis.org/sdk-debug-tools-valgrind.html)                           | Checks basic valgrind functionality by running a program with and without memory leaks, ensuring expected results from valgrind.                                                                                                                                                                           | Integrated     | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [sdk-dbus-tools-bustle](https://qa.apertis.org/sdk-dbus-tools-bustle.html)                                 | Test that bustle-dbus-monitor shows services on the session bus.                                                                                                                                                                                                                                           | Not Integrated | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [sdk-dbus-tools-d-feet](https://qa.apertis.org/sdk-dbus-tools-d-feet.html)                                 | Test that D-Feet both shows services on the session bus and that new services appear automatically.                                                                                                                                                                                                        | Not Integrated | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [sdk-code-analysis-tools-gcov](https://qa.apertis.org/sdk-code-analysis-tools-gcov.html)                   | Checks basic gcov functionality by running a sample program a few different ways and ensuring that a sufficient portion of its code paths are executed                                                                                                                                                     | Integrated     | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [sdk-code-analysis-tools-splint](https://qa.apertis.org/sdk-code-analysis-tools-splint.html)               | Checks basic splint functionality by checking its output when run on a simple source file.                                                                                                                                                                                                                 | Integrated     | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [sdk-vb-fullscreen](https://qa.apertis.org/sdk-vb-fullscreen.html)                                         | Tests that the SDK VM can be fullscreened in VirtualBox                                                                                                                                                                                                                                                    | Not Integrated | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| **Eclipse**                                                                                                |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [eclipse-sysroot-management](https://qa.apertis.org/eclipse-sysroot-management.html)                       | Test sysroot management and update within Eclipse. It will go through configuring an existing sysroot in Eclipse, and then updating it from the web with the latest version.                                                                                                                               | Not Integrated | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [eclipse-plugins-install-target](https://qa.apertis.org/eclipse-plugins-install-target.html)               | Test copying files to the remote device from within Eclipse. It will create a dummy project and then create a configuration to copy the binary file to a remote device and debug it remotely using Eclipse.                                                                                                | Not Integrated | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [eclipse-plugins-remote-debugging](https://qa.apertis.org/eclipse-plugins-remote-debugging.html)           | Test remote debugging within Eclipse. It will create a dummy project and then create a configuration to copy the binary file to a remote device and debug it remotely using Eclipse.                                                                                                                       | Not Integrated | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| **Contacts**                                                                                               |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [evolution-sync-bluetooth](https://qa.apertis.org/evolution-sync-bluetooth.html)                           | Synchronizing Bluetooth-paired phone contacts to Evolution.                                                                                                                                                                                                                                                | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [folks-metacontacts-antilinking](https://qa.apertis.org/folks-metacontacts-antilinking.html)               | Ensures anti-linking meta-contacts works properly.                                                                                                                                                                                                                                                         | Integrated     | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| **Connectivity**                                                                                           |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [bluez-hfp](https://qa.apertis.org/bluez-hfp.html)                                                         | Test Hands Free Profile (HFP) BlueZ feature.                                                                                                                                                                                                                                                               | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [rfkill-toggle](https://qa.apertis.org/rfkill-toggle.html)                                                 | Test that rfkill is functional.                                                                                                                                                                                                                                                                            | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [telepathy-ring](https://qa.apertis.org/telepathy-ring.html)                                               | Support making and receiving phone calls in Telepathy manually, with a bluetooth-paired phone.                                                                                                                                                                                                             | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [telepathy-ring-automated](https://qa.apertis.org/telepathy-ring-automated.html)                           | Support making and receiving phone calls in Telepathy.                                                                                                                                                                                                                                                     | Integrated     | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| **Contacts**                                                                                               |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [folks-ofono-backend](https://qa.apertis.org/folks-ofono-backend.html)                                     | Reading contacts from 3G modem SIM card.                                                                                                                                                                                                                                                                   | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [folks-search-contacts](https://qa.apertis.org/folks-search-contacts.html)                                 | Ensures that Folks can correctly search contacts.                                                                                                                                                                                                                                                          | Integrated     | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [abstract-contact-addressbook-creation](https://qa.apertis.org/abstract-contact-addressbook-creation.html) | A way to be able to create abstract addressbook is needed in SyncEvolution, so that separate addressbooks can be created for each paired device.                                                                                                                                                           | Integrated     | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [folks-sync-only](https://qa.apertis.org/folks-sync-only.html)                                             | Test SYNCHRONIZE_ONLY flag for persona stores in Folks.                                                                                                                                                                                                                                                   | Integrated     | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [folks-extended-info](https://qa.apertis.org/folks-extended-info.html)                                     | Support for storing arbitrary data in contacts in Folks.                                                                                                                                                                                                                                                   | Integrated     | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| **Multimedia**                                                                                             |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [webkit2gtk-gstreamer1.0](https://qa.apertis.org/webkit2gtk-gstreamer1.0.html)                             | Tests html5 video playback with GStreamer 1.0 in WebKit2GTK                                                                                                                                                                                                                                                | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [traffic-control-basic](https://qa.apertis.org/traffic-control-basic.html)                                 | Test basic traffic control support. This test does not use tcmmd but it could catch missing support in the kernel or misbehaving traffic control.                                                                                                                                                          | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [video-animation-on-boot](https://qa.apertis.org/video-animation-on-boot.html)                             | Test whether Plymouth is able to display a graphical theme.                                                                                                                                                                                                                                                | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| **Robustness**                                                                                             |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [glib-gio-fs](https://qa.apertis.org/glib-gio-fs.html)                                                     | Run the GLib gio tests that do I/O on the local filesystem.                                                                                                                                                                                                                                                | Integrated     | PASSED      | PASSED            | bgcolor= |    | PASSED        | PASSED     | PASSED       | andrewsh            | [42](https://lava.collabora.co.uk/scheduler/job/1411284) [43](https://lava.collabora.co.uk/scheduler/job/1411293) [44](https://lava.collabora.co.uk/scheduler/job/1411300) [45](https://lava.collabora.co.uk/scheduler/job/1411420) [46](https://lava.collabora.co.uk/scheduler/job/1411289)                                                                                                                                                                                                                            |
| **Security**                                                                                               |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [apparmor](https://qa.apertis.org/apparmor.html)                                                           | Functional testing for AppArmor functionalities.                                                                                                                                                                                                                                                           | Integrated     | N/A         | N/A               | N/A           | N/A           | PARTIAL    | PARTIAL      | andrewsh            | [47](https://lava.collabora.co.uk/scheduler/job/1411302) [48](https://lava.collabora.co.uk/scheduler/job/1411422)                                                                                                                                                                                                                                                                                                                                                                                                       |
| [apparmor-chaiwala-system](https://qa.apertis.org/apparmor-chaiwala-system.html)                           | Test that AppArmor's system wide rules works according to Apertis security goals.                                                                                                                                                                                                                          | Integrated     | N/A         | N/A               | N/A           | N/A           | PASSED     | PASSED       | andrewsh            | [49](https://lava.collabora.co.uk/scheduler/job/1411302) [50](https://lava.collabora.co.uk/scheduler/job/1411422)                                                                                                                                                                                                                                                                                                                                                                                                       |
| [apparmor-functional-demo](https://qa.apertis.org/apparmor-functional-demo.html)                           | Show some main AppArmor functionalities, like transitions, net access or resource permissions, under the form of tests.                                                                                                                                                                                    | Integrated     | NOT TESTED  | NOT TESTED        | NOT TESTED    | NOT TESTED    | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [apparmor-utils](https://qa.apertis.org/apparmor-utils.html)                                               | Test apparmor_parser and other tools in apparmor package can be executed.                                                                                                                                                                                                                                 | Integrated     | NOT TESTED  | NOT TESTED        | NOT TESTED    | NOT TESTED    | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [apparmor-session-lockdown-no-deny](https://qa.apertis.org/apparmor-session-lockdown-no-deny.html)         | Test that the session lockdown profile is not blocking more than it should                                                                                                                                                                                                                                 | Integrated     | NOT TESTED  | NOT TESTED        | NOT TESTED    | NOT TESTED    | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [apparmor-gstreamer1.0](https://qa.apertis.org/apparmor-gstreamer1-0.html)                                 | Test that AppArmor profiles provided in GStreamer 1.0 works without Auditd complaining                                                                                                                                                                                                                     | Integrated     | N/A         | N/A               | N/A           | N/A           | PASSED     | PASSED       | andrewsh            | [51](https://lava.collabora.co.uk/scheduler/job/1411302) [52](https://lava.collabora.co.uk/scheduler/job/1411422)                                                                                                                                                                                                                                                                                                                                                                                                       |
| [apparmor-pulseaudio](https://qa.apertis.org/apparmor-pulseaudio.html)                                     | Test that AppArmor profiles provided in PulseAudio 2.1 work without Auditd complaining.                                                                                                                                                                                                                    | Integrated     | N/A         | N/A               | N/A           | N/A           | PASSED     | PASSED       | andrewsh            | [53](https://lava.collabora.co.uk/scheduler/job/1411302) [54](https://lava.collabora.co.uk/scheduler/job/1411422)                                                                                                                                                                                                                                                                                                                                                                                                       |
| [apparmor-bluez](https://qa.apertis.org/apparmor-bluez.html)                                               | Test AppArmor profile for support for SPP profile (bluez-spp) and core functionalities (bluez-core).                                                                                                                                                                                                       | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [apparmor-bluez-avrcp-volume](https://qa.apertis.org/apparmor-bluez-avrcp-volume.html)                     | Test AppArmor profile for Bluez AVRCP volume up and down commands.                                                                                                                                                                                                                                         | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [apparmor-bluez-setup](https://qa.apertis.org/apparmor-bluez-setup.html)                                   | Test AppArmor profiles for setting up of Bluetooth stack by running basic tests using hciconfig. Check if the interface can be brought up/down, can be changed of mode and can discover devices.                                                                                                           | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [apparmor-folks](https://qa.apertis.org/apparmor-folks.html)                                               | Test that AppArmor profiles provided in Folks package work without unexpected auditd log entries.                                                                                                                                                                                                          | Integrated     | NOT TESTED  | NOT TESTED        | NOT TESTED    | NOT TESTED    | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [apparmor-geoclue](https://qa.apertis.org/apparmor-geoclue.html)                                           | Test that geoclue apparmor profiles are working properly                                                                                                                                                                                                                                                   | Integrated     | NOT TESTED  | NOT TESTED        | NOT TESTED    | NOT TESTED    | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [apparmor-ofono](https://qa.apertis.org/apparmor-ofono.html)                                               | Test that AppArmor profiles provided in ofono package work without unexpected auditd log entries.                                                                                                                                                                                                          | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [apparmor-tracker](https://qa.apertis.org/apparmor-tracker.html)                                           | Tests that the tracker abstraction and tracker profiles don't cause false negatives and that it does not allow arbitrary reading of files in the home directory.                                                                                                                                           | Integrated     | NOT TESTED  | NOT TESTED        | NOT TESTED    | NOT TESTED    | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [apparmor-tumbler](https://qa.apertis.org/apparmor-tumbler.html)                                           | Tests that the tumbler AppArmor profile doesn't cause false negatives and that it does not allow arbitrary reading of files in the home directory.                                                                                                                                                         | Integrated     | N/A         | N/A               | N/A           | N/A           | PASSED     | PASSED       | andrewsh            | [55](https://lava.collabora.co.uk/scheduler/job/1411302) [56](https://lava.collabora.co.uk/scheduler/job/1411422)                                                                                                                                                                                                                                                                                                                                                                                                       |
| [iptables-basic](https://qa.apertis.org/iptables-basic.html)                                               | Test the firewall automatically.                                                                                                                                                                                                                                                                           | Integrated     | PASSED      | PASSED            | bgcolor= |    | PASSED        | PASSED     | PASSED       | andrewsh            | [57](https://lava.collabora.co.uk/scheduler/job/1411284) [58](https://lava.collabora.co.uk/scheduler/job/1411293) [59](https://lava.collabora.co.uk/scheduler/job/1411300) [60](https://lava.collabora.co.uk/scheduler/job/1411420) [61](https://lava.collabora.co.uk/scheduler/job/1411289)                                                                                                                                                                                                                            |
| [iptables-nmap](https://qa.apertis.org/iptables-nmap.html)                                                 | Test the firewall using nmap from another computer.                                                                                                                                                                                                                                                        | Not Integrated | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | bgcolor= | | bgcolor= |   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [apparmor-dbus](https://qa.apertis.org/apparmor-dbus.html)                                                 | Functional testing for AppArmor D-Bus mediation.                                                                                                                                                                                                                                                           | Integrated     | N/A         | N/A               | N/A           | N/A           | PASSED     | PASSED       | andrewsh            | [62](https://lava.collabora.co.uk/scheduler/job/1411302) [63](https://lava.collabora.co.uk/scheduler/job/1411422)                                                                                                                                                                                                                                                                                                                                                                                                       |
| **System Update**                                                                                          |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [boot-performance-automated](https://qa.apertis.org/boot-performance-automated.html)                       | Test boot performance.                                                                                                                                                                                                                                                                                     | Integrated     | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | bgcolor= | | bgcolor= |   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| **Webkit**                                                                                                 |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [webkit2gtk-aligned-scroll](https://qa.apertis.org/webkit2gtk-aligned-scroll.html)                         | Test that scrolling is pinned in a given direction when started mostly towards it.                                                                                                                                                                                                                         | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [webkit2gtk-lazy-click](https://qa.apertis.org/webkit2gtk-lazy-click.html)                                 | Test touch adjustment (lazy click) support in WebKit2GTK                                                                                                                                                                                                                                                   | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [webkit2gtk-drag-and-drop](https://qa.apertis.org/webkit2gtk-drag-and-drop.html)                           | Test HTML5 drag-and-drop support in WebKit2GTK                                                                                                                                                                                                                                                             | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [webkit2gtk-contextual-zoom](https://qa.apertis.org/webkit2gtk-contextual-zoom.html)                       | This test case is about zooming parts of a web page to make it easier to read on devices with limited screen area. The scope of the test is the zooming functionality that takes into account the content in the clicked area, other functionality that belongs to a real browser isn't to be tested here. | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| **Apertis update manager**                                                                                 |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [apertis-update-manager-api](https://qa.apertis.org/apertis-update-manager-api.html)                       | Test the apertis-update-manager automatic update.                                                                                                                                                                                                                                                          | Not Integrated | N/A         | NOT TESTED        | N/A           | N/A           | N/A        | N/A          |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [apertis-update-manager-auto](https://qa.apertis.org/apertis-update-manager-automount.html)                | Test the apertis-update-manager automatic update via mass storage device.                                                                                                                                                                                                                                  | Not Integrated | N/A         | NOT TESTED        | N/A           | N/A           | N/A        | N/A          |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [apertis-update-manager-diskfull](https://qa.apertis.org/apertis-update-manager-diskfull.html)             | Ensure that failures due to disk full errors during updates have no effect on the system,                                                                                                                                                                                                                  | Not Integrated | N/A         | NOT TESTED        | N/A           | N/A           | N/A        | N/A          |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [apertis-update-manager-manual](https://qa.apertis.org/apertis-update-manager-manual.html)                 | Test the manual update with apertis-update-manager.                                                                                                                                                                                                                                                        | Not Integrated | N/A         | NOT TESTED        | N/A           | N/A           | N/A        | N/A          |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [apertis-update-manager-powercut](https://qa.apertis.org/apertis-update-manager-powercut.html)             | Ensure that failures due to power losses during updates have no effect on the system.                                                                                                                                                                                                                      | Not Integrated | N/A         | NOT TESTED        | N/A           | N/A           | N/A        | N/A          |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [apertis-update-manager-rollback](https://qa.apertis.org/apertis-update-manager-rollback.html)             | Test the automatic rollback and blacklist mechanism of apertis-update-manager.                                                                                                                                                                                                                             | Not Integrated | N/A         | NOT TESTED        | N/A           | N/A           | N/A        | N/A          |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [apertis-update-manager-usb-unplug](https://qa.apertis.org/apertis-update-manager-usb-unplug.html)         | Test the apertis-update-manager automatic update interrupted by mass storage removing.                                                                                                                                                                                                                     | Not Integrated | N/A         | NOT TESTED        | N/A           | N/A           | N/A        | N/A          |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
|                                                                                                            |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
|                                                                                                            |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
|                                                                                                            | PASSED - All tests passed.                                                                                                                                                                                                                                                                                 |                |             |                   |               |               |            |              |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
|                                                                                                            | PARTIAL - Tests mostly passed, with some minor problems.                                                                                                                                                                                                                                                   |                |             |                   |               |               |            |              |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
|                                                                                                            | FAILED - One or more tests failed.                                                                                                                                                                                                                                                                         |                |             |                   |               |               |            |              |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
|                                                                                                            | NOT TESTED - Test not run due to some issue, like WIP, Disabled, lacking proper hardware.                                                                                                                                                                                                                  |                |             |                   |               |               |            |              |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
|                                                                                                            |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
|                                                                                                            |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
|                                                                                                            | CRITICAL test case - release blocker                                                                                                                                                                                                                                                                       |                |             |                   |               |               |            |              |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
|                                                                                                            | HIGH priority test case - must be tested every week                                                                                                                                                                                                                                                        |                |             |                   |               |               |            |              |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
|                                                                                                            | MEDIUM priority test case - must be tested at least every other week                                                                                                                                                                                                                                       |                |             |                   |               |               |            |              |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
|                                                                                                            | LOW priority test case - test when possible                                                                                                                                                                                                                                                                |                |             |                   |               |               |            |              |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
|                                                                                                            |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |

[Category:QA/Test report]( {{< ref "/category_qa/test_report.md" >}} )
[Category:QA/OSTree test
report]( {{< ref "/category_qa/ostree_test_report.md" >}} ) [Category:QA/Test
report/{{\#rel2abs:
../../../.}}]()